<?php
/**
 *  2Moons
 *  Copyright (C) 2011  Slaver
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package 2Moons
 * @author Slaver <slaver7@gmail.com>
 * @copyright 2009 Lucky <lucky@xgproyect.net> (XGProyecto)
 * @copyright 2011 Slaver <slaver7@gmail.com> (Fork/2Moons)
 * @license http://www.gnu.org/licenses/gpl.html GNU GPLv3 License
 * @version 1.6.1 (2011-11-19)
 * @info $Id: ADMIN.php 2072 2011-11-17 13:21:40Z slaver7 $
 * @link http://code.google.com/p/2moons/
 */
 
//---------------	GENERAL	------------------------//
$LNG['adm_login']		= 'Connectez-vous';
$LNG['adm_absenden']		= 'Envoyer'; 
$LNG['adm_password']					= 'Mot de passe';
$LNG['adm_password_info']				= 'S\'il vous pla&icirc;t entrer votre mot de passe pour la v&eacute;rification du compte !';
$LNG['adm_bad_password']				= 'Mot de passe incorrect !';
$LNG['404_page']						= 'Vous n\'avez pas d\'autorisations suffisantes pour acc&eacute;der &agrave; cette page';
$LNG['adm_cp_title']					= 'Administration';
$LNG['adm_cp_index']					= 'Accueil';
$LNG['mu_moderation_page']				= 'Autorisations';
$LNG['mu_universe']						= 'Univers';
$LNG['adm_cp_logout']					= 'Quitter';

//	MISCELaNEO - MISCELLANEOUS
$LNG['ad_number'] 					= 'ID';
$LNG['ad_max']  					= '(max. % d)';
$LNG['only_numbers']					= 'Vous pouvez seulement entrer des nombres !';
$LNG['select_option']	 				= 'S&eacute;lectionnez ...';
$LNG['ad_add_not_exist']		= 'ID n\'existe pas!';

// 	RANGO - RANK
$LNG['rank'][0]						= 'Joueur';
$LNG['rank'][1]						= 'Mod&eacute;rateur';
$LNG['rank'][2]						= 'Op&eacute;rateur';
$LNG['rank'][3]						= 'Administrateur';

// 	TIEMPO - TIME
$LNG['time_days']					= 'Jours';
$LNG['time_hours']					= 'Heures';
$LNG['time_minutes']					= 'Minutes';
$LNG['time_seconds']					= 'Secondes';
//###########################################################//

$LNG['info_information']	= 'Soumettre les bugs &agrave; : <a href="%s" target="tracker">2Moons Board</a><br>Ou bien Il n\'y a aucun support !';


//---------------	�SI O NO? - YES OR NO? - JA ODER NEIN?	------------------------//
$LNG['one_is_yes'][1]					= 'Oui';
$LNG['one_is_yes'][0]					= 'Non';

$LNG['one_is_no'][1]					= 'Non';
$LNG['one_is_no'][0]					= 'Oui';
//###########################################################//


//---------------	BOTONES - BUTTONS - BUTTONS	------------------------//
$LNG['button_submit']        				= 'Envoyer';
$LNG['button_add']            				= 'Ajouter';
$LNG['button_delete']        				= 'Supprimer';
$LNG['button_filter']        				= 'Filtrer';
$LNG['button_deselect']    			    	= 'D&eacute;selectionnez';
$LNG['button_reset']        				= 'Red&eacute;marrer';
$LNG['button_des_se']        				= 'S&eacute;lectionner / D&eacute;s&eacute;lectionner tout';
//###########################################################//


//---------------	ID's	------------------------//
$LNG['input_id']            				= 'ID';
$LNG['input_id_user']       				= 'ID JOUEUR';
$LNG['input_id_planet']    			    	= 'ID PLANETE';
$LNG['input_id_moon']        				= 'ID LUNE';
$LNG['input_id_p_m']        				= 'ID PLANETE ou LUNE';
$LNG['input_id_ally']        				= 'ID ALLIANCE';
//###########################################################//


//---------------	RECURSOS - RESOURCES - ROHSTOFFE	------------------------//
$LNG['resources_title']    				= 'Ressources';
$LNG['count_res']            	    	= 'Ajouter Ressources';
//###########################################################//


//---------------	OFICIALES - OFFICIERS - OFFIZIERE	------------------------//
$LNG['buildings_title']					= 'B&acirc;timents';
$LNG['ships_title']					    = 'Vaisseaux';
$LNG['defenses_title']					= 'D&eacute;fenses';
$LNG['researchs_title']					= 'Recherches';
$LNG['officiers_title']					= 'Officiers';
//###########################################################//


//---------------	EDITOR	------------------------//
// MENU
$LNG['ad_forgiven_id']					= 'Vous devez entrer un ID !';
$LNG['ad_back_to_menu']					= 'Retour au menu g&eacute;n&eacute;ral';
$LNG['ad_editor_title']					= 'Editeur de comptes';
$LNG['ad_editor_buildings']				= 'B&acirc;timents';
$LNG['ad_editor_ships']					= 'Vaisseaux';
$LNG['ad_editor_defenses']				= 'D&eacute;fenses';
$LNG['ad_editor_researchs']				= 'Recherches';
$LNG['ad_editor_officiers']				= 'Officiers';
$LNG['ad_editor_personal']				= 'Donn&eacute;es peronnelles';
$LNG['ad_editor_planets']				= 'Plan&egrave;tes et lunes';
$LNG['ad_editor_resources']				= 'Ressources';
$LNG['ad_editor_alliances']				= 'Alliance';
$LNG['ad_editor_authlevels']			= 'G&eacute;rer les autorisations';

// RESEARCH
$LNG['ad_research_title']				= 'Editer Recherches';
$LNG['ad_add_succes']	        		= 'Recherches ajout&eacute;es avec succ&egrave;s !';
$LNG['ad_delete_succes']  				= 'Recherches supprim&eacute;es avec succ&egrave;s !';

// OFFICERS
$LNG['ad_offi_title']					= 'Editer Officiers';
$LNG['ad_offi_succes_add']				= 'Officiers ajout&eacute;s avec succ&egrave;s !';
$LNG['ad_offi_succes_delete']			= 'Officiers supprim&eacute;s avec succ&egrave;s !';

// RESOURCES
$LNG['ad_main_title']					= 'G&eacute;rer Ressources and Technologies';
$LNG['ad_add_sucess']					= 'Ressources ajout&eacute;es avec succ&egrave;s !';
$LNG['ad_delete_sucess']				= 'Ressources supprim&eacute;es avec succ&egrave;s !';

// SHIPS
$LNG['ad_ships_title']					= 'Editer Vaisseaux';
$LNG['ad_add_sucess_ships']				= 'Vaisseaux ajout&eacute;s avec succ&egrave;s !';
$LNG['ad_delete_sucess_ships']			= 'Vaisseaux supprim&eacute;s avec succ&egrave;s !';

// DEFENSE
$LNG['ad_defenses_title']      			= 'Editer D&eacute;fenses';
$LNG['ad_add_defenses_succes']			= 'D&eacute;fenses ajout&eacute;es avec succ&egrave;s !';
$LNG['ad_delete_defenses_succes']		= 'D&eacute;fenses supprim&eacute;es avec succ&egrave;s !';

// BUILDINGS
$LNG['ad_buildings_title']				= 'Editer B&acirc;timents';
$LNG['ad_planet_id']					= 'ID Plan&egrave;te ou Lune';
$LNG['ad_levels']						= 'Ajouter niveaux';
$LNG['ad_count']						= 'Ajouter';
$LNG['ad_add_succes']        			= 'B&acirc;timents ajout&eacute; avec succ&egrave;s !';
$LNG['ad_delete_succes']				= 'B&acirc;timents supprim&eacute; avec succ&egrave;s !';

// PERSONAL DATA
$LNG['ad_personal_title']				= 'Editer Donn&eacute;es personelles';
$LNG['ad_personal_name']				= 'Nom';
$LNG['ad_personal_email']				= 'Addresse Email';
$LNG['ad_personal_email2']				= 'Adresse Email permanente';
$LNG['ad_personal_pass']				= 'Mot de passe';
$LNG['ad_personal_succes']				= 'Param&egrave;tres chang&eacute;s avec succ&egrave;s !';
$LNG['ad_personal_vacat']				= 'Mode Vacances ?';

// ALLIANCES
$LNG['ad_ally_title']					= 'Editer Alliances';
$LNG['ad_ally_change_id']				= 'Changer le Leader de l\'alliance';
$LNG['ad_ally_name']					= 'Editer Nom';
$LNG['ad_ally_tag']					= 'Editer TAG';
$LNG['ad_ally_text1']					= 'Texte Alliance externe ';
$LNG['ad_ally_text2']					= 'Texte Alliance interne';
$LNG['ad_ally_text3']					= 'Texte de candidature';
$LNG['ad_ally_delete']					= 'Supprimer Alliance';
$LNG['ad_ally_delete_u']				= 'Supprimer joueur';
$LNG['ad_ally_user_id']					= '(Entrer ID joueur)';
$LNG['ad_ally_succes']					= 'Op&eacute;ration effectu&eacute;e avec succ&egrave;s !';
$LNG['ad_ally_not_exist3']				= 'Le joueur n\'existe pas ou n\'est pas membre de l\'Alliance!';
$LNG['ad_ally_not_exist']				= 'L\'Alliance n\'existe pas !';
$LNG['ad_ally_not_exist2']				= 'Le joueur n\'existe pas !';

// PLANETS AND MOONS
$LNG['ad_pla_title']					= 'Editer Plan&egrave;tes et/ou Lunes';
$LNG['ad_pla_edit_name']				= 'Editer Nom';
$LNG['ad_pla_change_id']				= 'Changer le titualire (Entrer ID Utilisateur)';
$LNG['ad_pla_edit_diameter']				= 'Editer Diam&egrave;tre Plan&egrave;te';
$LNG['ad_pla_edit_fields']      			= 'Editer Cases Plan&egrave;tes';
$LNG['ad_pla_delete_b']        				= 'Supprimer tous les b&acirc;timents';
$LNG['ad_pla_delete_s']					= 'Supprimer tous les vaisseaux';
$LNG['ad_pla_delete_d']					= 'Supprimer toutes les d&eacute;fenses';
$LNG['ad_pla_delete_hd']				= 'Supprimer le chantier spatial et files d\'attente de d&eacute;fenses';
$LNG['ad_pla_delete_cb']				= 'Supprimer la file d\'attente de construction';
$LNG['ad_pla_delete_planet']				= 'Supprimer Plan&egrave;te';
$LNG['ad_pla_title_a']					= 'Si Lune il y a Alors changement de mains';
$LNG['ad_pla_title_l']					= 'Si Lune il y a Alors sa position sera chang&eacute;e';
$LNG['ad_pla_change_p']					= 'Changer la position de cette plan&egrave;te';
$LNG['ad_pla_change_pp']        			= 'Souligner le changement de postion';
$LNG['ad_pla_succes']					= 'Changement effectu&eacute;s avec succ&egrave;s !';
$LNG['ad_pla_error_planets']    			= 'Les Lunes ne peuvent changer de propri&eacute;taire !';
$LNG['ad_pla_error_user']				= 'Le joueur n\'existe pas !';
$LNG['ad_pla_error_planets2']				= 'La plan&egrave;te n\'existe pas !';
$LNG['ad_pla_error_planets3']				= 'Les coordonn&eacute;es demand&eacute;es sont d&eacute;j&agrave; utilis&eacute;es !';
$LNG['ad_pla_error_planets4']   			= 'Vous ne pouvez pas d&eacute;placer la lune vers une plan&egrave;te qui en a d&eacute;j&agrave; une !';
$LNG['ad_pla_error_planets5']				= 'Les coordonn&eacute;es s&eacute;lectionn&eacute;es doivent avoir une plan&egrave;te !';
$LNG['ad_pla_delete_planet_s']  			= 'Plan&egrave;te supprim&eacute;e avec succ&egrave;s !';
//###########################################################//

//---------------	BAN PANEL -------------------------------//
$LNG['bo_the_player']					= 'Joueur ';
$LNG['bo_the_player2']					= 'Le Joueur ';
$LNG['bo_banned']               			= ' a &eacute;t&eacute; bannis avec succ&egrave;s.';
$LNG['bo_unbanned']					= ' Il a lev&eacute; le bannissement correctement.';
$LNG['bo_username']            				= 'Nom du Joueur';
$LNG['bo_vacaations']					= 'Vacances ?';
$LNG['bo_reason']					= 'Raison du bannissement';
$LNG['bo_time']						= 'Temps de bannissement';
$LNG['bo_vacation_mode']        			= 'Mode Vacances';
$LNG['bo_ban_player']					= 'Bannir/Editer Bannisement';
$LNG['bo_unban_player']					= 'Liste des joueurs bannuis';
$LNG['bo_user_doesnt_exist']				= 'Le joueur n\'existe pas !';
$LNG['bo_user_select']					= 'S&eacute;lectionnez ...';
$LNG['bo_select_title']					= 'Afficher les noms commen&ccedil;ant par';
$LNG['bo_suspended_panel']				= 'Outils de bannissement';
$LNG['bo_bbb_go_back']					= '[ Retour ]';
$LNG['bo_bbb_go_act']					= '[ Actualiser ]';
$LNG['bo_bbb_title_1']					= 'Syst&egrave;me bannissement';
$LNG['bo_bbb_title_2']					= 'Quand le bannissement sera lev&eacute;';
$LNG['bo_bbb_title_3']					= 'Syst&egrave;me bannissement<br><font color=red>Note: Cet utilisateur est d&eacute;j&agrave; banni !';
$LNG['bo_bbb_title_4']					= 'Pour soustraire des jours, des heures etc. Ajouter un signe ( - ) devant le nombre, Exemple : -5 ';
$LNG['bo_bbb_title_5']					= 'Banni jusqu\'&agrave;';
$LNG['bo_bbb_title_6']					= 'Changer date';
$LNG['bo_characters_1']					= 'Caract&egrave;res disponibles : ';
$LNG['bo_characters_suus']				= '&nbsp; (Banni)';
$LNG['bo_order_username']				= '[Ranger par Nom de Joueur]';
$LNG['bo_order_id']					= '[Ranger par ID Joueur]';
$LNG['bo_order_banned']					= '[Ranger par Joueurs bannis]';
$LNG['bo_total_users']					= 'Total Joueurs : ';
$LNG['bo_total_banneds']				= 'Total Joueurs bannis : ';
//###########################################################//

//---------------	ENCRYPTOR MD5  --------------------------//
$LNG['et_md5_encripter']				= 'G&eacute;n&eacute;rateur MD5';
$LNG['et_pass']						= 'Mot de passe';
$LNG['et_result']					= 'R&eacute;sultat';
$LNG['et_encript']					= 'Encrypter';
//###########################################################//

//---------------	STATS CONFIG 	------------------------//
$LNG['cs_title']					= 'R&eacute;glage des param&egrave;tres des statistiques';
$LNG['cs_point_per_resources_used']			= '1 point Jeu est &eacute;gal &agrave; x Points Ressources : ';
$LNG['cs_resources']					= 'Ressources';
$LNG['cs_users_per_block']				= 'Joueurs trait&eacute;s par bloc statistique (minimum sur 10)';
$LNG['cs_fleets_on_block']				= 'Mise &agrave; jour des flottes par bloc ?';
$LNG['cs_time_between_updates']         		= 'Temps entre deux mises &agrave; jour de statistiques :';
$LNG['cs_minutes']					= 'Minutes';
$LNG['cs_points_to_zero']				= 'Les administrateurs peuvent-ils appara&icirc;tre dans le classement des joueurs ?';
$LNG['cs_access_lvl']					= 'Plus haut joueurs class&eacute;s qui peuvent appara&icirc;tre dans le classement des joueurs ?';
$LNG['cs_save_changes']					= 'Enregistrer les modifications';
$LNG['cs_timeact_1']					= 'La Derni&egrave;re mise &agrave; jour a eu lieu &agrave; : ';
$LNG['cs_yes']						= 'Oui';
$LNG['cs_no']						= 'Non';
$LNG['cs_no_view']					= 'Cacher les Admins';
$LNG['cs_banner_time_between_updates']	= 'Intervalle de temps entre les mises &agrave; jour de la banni&egrave;re statistiques';
$LNG['cs_banner_title']					= 'Configurations des param&egrave;tres de la banni&egrave;re statistiques';
//###########################################################//

//---------------	ERROR LIST  ----------------------------//
$LNG['er_errors']					= 'erreurs';
$LNG['er_error_list']					= 'Liste des erreurs';
$LNG['er_dlte_all']					= 'Supprimer Tout';
$LNG['er_type']						= 'Type';
$LNG['er_data']						= 'Date';
//###########################################################//

//---------------	MESSAGES LIST	------------------------//
$LNG['ml_message_list']					= 'Liste des messages';
$LNG['ml_page']						= 'Page';
$LNG['ml_type']						= 'Type';
$LNG['ml_dlte_selection']				= 'Supprimer la s&eacute;lection';
$LNG['ml_dlte_since']					= 'Supprimer depuis';
$LNG['ml_dlte_since_button']				= 'Supprimer jusqu\'&agrave;';
$LNG['ml_date']						= 'Date';
$LNG['ml_from']						= 'Depuis';
$LNG['ml_to']						= 'A';
$LNG['ml_subject']					= 'Sujet';
$LNG['ml_content']					= 'Contenu';
$LNG['ml_see_all_messages']				= 'Voir tous les messages';
//###########################################################//

//---------------	GLOBAL MESSAGE -------------------------//
$LNG['ma_message_sended']			= 'Votre message a &eacute;t&eacute; envoy&eacute; !';
$LNG['ma_subject_needed']			= 'Vous devez entrer un sujet !';
$LNG['ma_send_global_message']		= 'Envoyer un message global';
$LNG['ma_subject']					= 'Sujet';
$LNG['ma_characters']				= 'Personnes';
$LNG['ma_none']						= 'Message global';
$LNG['ma_message']					= 'Message';
$LNG['ma_mode']					= 'Comme d\'expédition';
$LNG['ma_all']					= 'Tous';
$LNG['ma_modes']				= array('INGAME Message', 'E-Mail Message', 'INGAME &amp; E-Mail Message');
//###########################################################//

//---------------	OVERVIEW	------------------------//
$LNG['ow_title']					= 'Bienvenue sur 2Moons';
$LNG['ow_donate']					= 'Donation';
$LNG['ow_welcome_text']			    = 'Bienvenue sur le server populaire de 2Moons. (:';
$LNG['ow_overview']					= 'Panneau de configuration';
$LNG['ow_support']					= 'Support';
$LNG['ow_credits']					= 'Credits';
$LNG['ow_forum']					= 'Forums';
$LNG['ow_proyect_leader']			= 'Chef de projet';
$LNG['ow_translator']				= 'Traducteurs';
$LNG['ow_special_thanks']			= 'Remerciements sp&eacute;ciaux';
$LNG['ow_file_detected']			= 'Le %s n\'a &eacute;t&eacute; trouv&eacute;e. S\'il vous plaît renommer ou supprimer-le, puis votre jeu sera prot&eacute;g&eacute;.';
$LNG['ow_config_file_writable']		= 'Le fichier config.php est en mode &eacute;criture, nous vous recommandons de d&eacute;finir les permissions du fichier en CHMOD 444 (lecture seule).';
$LNG['ow_database_errors']			= 'Il y a des erreurs pr&eacute;sentes !';
$LNG['ow_smtp_errors']				= 'V&eacute;rifiez vos param&egrave;tres SMTP ! - Actuellement aucun mails ne sont envoy&eacute;s !';
$LNG['ow_dir_not_writable']			= './%s n\est pas inscriptible!';
$LNG['ow_none']						= 'Aucun avertissement';
$LNG['ow_news']						= 'Actualit&eacute;s';
$LNG['ow_updates']					= 'Dernières mise &agrave; jour';

//###########################################################//


//---------------	GAME CONFIG	    ------------------------//
$LNG['se_server_parameters']               		= 'Param&egrave;tres serveur';
$LNG['se_game_name']					        = 'Nom (Jeu)';
$LNG['se_uni_name']						        = 'Nom (Univers)';
$LNG['se_name']                            		= 'Nom';
$LNG['se_lang']                            		= 'Langage';
$LNG['se_general_speed']                    		= 'Vitesse globale du jeu';
$LNG['se_normal_speed']                    		= 'Vitesse normale du Jeu : 1 <br> Vitesse de Jeu maximum recommand&eacute;e : 20';
$LNG['se_normal_speed_resoruces']           		= 'Vitesse normale de Production : 1 <br> Vitesse de Production maximum recommand&eacute;e : 20';
$LNG['se_normal_speed_fleet']              		= 'Vitesse normale des Flotte : 1 <br> Vitesse des Flottes maximum recommand&eacute;e : 20';
$LNG['se_normal_speed_halt']					= 'Vitesse normale Expo : 1 <br> Param&egrave;tre recommand&eacute; maximum: 20';
$LNG['se_fleet_speed']                      		= 'Vitesse des Flottes';
$LNG['se_resources_producion_speed']        		= 'Vitesse de Production des Ressources';
$LNG['se_halt_speed']							= 'Vitesse Expo';
$LNG['se_forum_link']                       		= 'Lien vers votre Forum';
$LNG['se_server_op_close']                  		= 'Est ce que votre serveur est en ligne ? - Cochez la case pour ouvrir votre serveur aux joueurs';
$LNG['se_server_status_message']			= 'Message serveur - Mettez le statut de votre server (Maintenance par exmple) ici';
$LNG['se_server_planet_parameters']        		= 'Param&egrave;tre Plan&egrave;te M&egrave;re';
$LNG['se_initial_fields']                   		= 'Cases Plan&egrave;te M&egrave;re';
$LNG['se_fields']                           		= 'Cases';
$LNG['se_per_hour']                        		= 'Par heure';
$LNG['se_metal_production']                		= 'Production de base en M&eacute;tal';
$LNG['se_crystal_production']               		= 'Production de base en Cristal';
$LNG['se_deuterium_production']            		= 'Production de base en Deut&eacute;rium';
$LNG['se_several_parameters']				= 'Param&egrave;tres divers du Serveur';
$LNG['se_title_admins_protection']			= 'Cochez la case si vous voulez que les administrateurs soient prot&eacute;g&eacute; contre toutes les formes d\'attaques';
$LNG['se_admin_protection']				= 'Protection Admin';
$LNG['se_debug_mode']					= 'Debug Mode';
$LNG['se_save_parameters']				= 'Enregistrer';
$LNG['se_configuration_title']				= 'Configuration';
$LNG['se_server_naame']					= 'Nom du Jeu';
$LNG['se_cookie_name']					= 'Nom du Cookie';
$LNG['se_cookie_advert']				= 'Si vous changez le nom du Cookie, tous les joueurs doivent se relogguer.<br>Les Cookies sont seulement utilis&eacute;s dans une configuration multi-univers.<br>Le Nom du Cookie ne doit pas contenir d\'espaces !';
$LNG['se_debug_message']				= 'Le Mode Debug active l\'enregistrement de toutes les commandes SQL. Les administrateurs obtiennent une barre d\'&eacute;tat avec le nombre de requ&ecirc;tes SQL et les scripts d\'ex&eacute;cution.';
$LNG['se_def_cdr']					= 'Pourcentage des D&eacute;fenses transform&eacute; en d&eacute;bris apr&egrave;s une attaque';
$LNG['se_ships_cdr']					= 'Pourcentage des Flottes transform&eacute; en d&eacute;bris apr&egrave;s une attaque';
$LNG['se_def_cdr_message']				= 'Pourcentage des D&eacute;fenses transform&eacute; en d&eacute;bris apr&egrave;s une attaque';
$LNG['se_ships_cdr_message']				= 'Pourcentage des Flottes transform&eacute; en d&eacute;bris apr&egrave;s une attaque';
$LNG['se_noob_protect']					= 'Protection Newbie';
$LNG['se_noob_protect2']				= 'Protection Newbie x Points';
$LNG['se_noob_protect3']				= 'Facteur Protection Newbie';
$LNG['se_noob_protect_e2']				= 'La protection Newbie est active pour ce joueur jusqu\'&agrave; ce Score';
$LNG['se_noob_protect_e3']				= 'Cliquer ici pour voir plus d\'informations';
$LNG['se_recaptcha_whats']				= 'Qu\'est ce que reCAPTCHA ?';
$LNG['se_recaptcha_head']				= 'reCAPTCHA - Param&egrave;tres';
$LNG['se_recaptcha_desc']				= 'reCAPTCHA est un service gratuit CAPTCHA qui vous aide &agrave; bloquer les spam-bots.<br /> Pour utiliser ce service, une inscription &agrave; Google ou reCAPTCHA.net est n&eacute;cessaire.';
$LNG['se_recaptcha_public']				= 'Cl&eacute; Publique :';
$LNG['se_recaptcha_private']				= 'Cl&eacute; Priv&eacute;e :';
$LNG['se_recaptcha_active']				= 'Activer reCAPTCHA';
$LNG['se_reg_closed']					= 'Cl&ocirc;re inscription';
$LNG['se_min_build_time']				= 'Construction minimum';
$LNG['se_min_build_time_info']				= 'Ici vous ajustez le minimum de temps de construction pour les B&acirc;timents, Recherches, ainsi que les Flottes et D&eacute;fenses. Cette valeur par d&eacute;faut est de 1 seconde.<br>Si 0 est tap&eacute;, la fonction est d&eacute;sactiv&eacute;e<br><font color=orange>Attention - Dans certains cas, des bugs peuvent survenir si la valeur 0 est est entr&eacute;e ! </font>';
$LNG['se_news_head']					= 'Param&egrave;tres Actualit&eacute;s';
$LNG['se_news_active']					= 'Ativer actualit&eacute;s';
$LNG['se_news_limit']					= 'Max 255 Caract&egrave;res!';
$LNG['se_news_info']					= 'Si cette fonction est d&eacute;sactiv&eacute;e, les actualit&eacute;s seront supprim&eacute;s de la Vue g&eacute;n&eacute;rale.';
$LNG['se_news']						= 'Actualit&eacute;s';
$LNG['se_verfiy_mail']					= 'V&eacute;rification de l\'adresse Mail';
$LNG['se_verfiy_mail_info']				= 'Si ce param&egrave;tre est actif, les joueurs devront cliquer sur un lien d\'activation qui leur ait envoy&eacute; par email.<br>Note: Cela n&eacute;cessite que les param&egrave;tres SMTP pour le serveur SMTP soient remplis ci-dessous.';
$LNG['se_smtp']						= 'Param&egrave;tres SMTP';
$LNG['se_smtp_info']					= 'Entrez votre serveur SMTP ici. Cela permet au logiciel 2Moons de communiquer avec vos joueurs &agrave; travers votre serveur SMTP.';
$LNG['se_mail_active']					= 'Activer la messagerie';
$LNG['se_mail_use']						= 'Messagerie actuelle';
$LNG['se_mail_sel'][0]					= 'PHP mail() Fonction';
$LNG['se_mail_sel'][1]					= 'Envoyer un mail / Qmail';
$LNG['se_mail_sel'][2]					= 'SMTP Auth';
$LNG['se_smail_path']					= 'Chemin pour envoyer un mail / Qmail';
$LNG['se_smtp_host']					= 'H&ocirc;te SMTP :';
$LNG['se_smtp_host_info']				= 'Tappez l\'adresse de votre serveur SMTP ici.';
$LNG['se_smtp_ssl']					= 'SMTP Param&egrave;tres Encryption : Pas d\'Encryption/SSL/TLS :';
$LNG['se_smtp_ssl_1']					= 'Pas d\'Encryption';
$LNG['se_smtp_ssl_2']					= 'SSL';
$LNG['se_smtp_ssl_3']					= 'TLS';
$LNG['se_smtp_ssl_info']				= 'Ici vous pouvez choisir si une connexion s&eacute;curis&eacute;e entre votre serveur SMTP et le serveur web doit &ecirc;tre construite. Cela est n&eacute;cessaire dans de rares cas';
$LNG['se_smtp_port']					= 'PORT SMTP :';
$LNG['se_smtp_port_info']				= 'Tapez le port de votre serveur SMTP ici ... <br> Le Port SMTP Standard est : 25';
$LNG['se_smtp_user']					= 'Username SMTP : ';
$LNG['se_smtp_pass']					= 'Mot de passe SMTP : ';
$LNG['se_smtp_sendmail']               			= 'Exp&eacute;diteur SMTP :';
$LNG['se_smtp_sendmail_info']          			= 'C\'est l&agrave; que votre courrier revient. L\'adresse courriel de retour entr&eacute; ici, n\'a pas besoin d\'&ecirc;tre la m&ecirc;me que l\'adresse &eacute;lectronique d\'envoi';
$LNG['se_ftp']						= 'Param&egrave;tres FTP';
$LNG['se_ftp_info']					= 'Votre logiciel 2Moons est livr&eacute; avec la capacit&eacute; de se mettre &agrave; jour directement depuis le serveur 2Moons via FTP. Pour profiter de cette fonctionnalit&eacute;, vous aurez besoin de configurer un compte FTP sur votre serveur, puis entrez les informations requises ci-dessous. Cela ne cr&eacute;era pas un probl&egrave;me de s&eacute;curit&eacute; pour vous comme le logiciel 2Moons a besoin de cette information pour faire le transfert de fichiers physique depuis votre serveur.';
$LNG['se_ftp_host']					= 'H&ocirc;te FTP :';
$LNG['se_ftp_user']					= 'Utilisateur FTP :';
$LNG['se_ftp_pass']					= 'Mot de passe FTP :';
$LNG['se_ftp_dir']					= 'R&eacute;pertoire FTP Jeu :';
$LNG['se_ftp_dir_info']					= 'Entrez le chemin vers le r&eacute;pertoire racine de votre jeu ici. Le chemin doit commencer par une barre oblique ! <br> Exemple: /public_html ou / public_html/jeu';
$LNG['se_google']					= 'Param&egrave;tres Google Analytics';
$LNG['se_google_info']					= 'Google Analytics est une solution qui vous permet d\'acqu&eacute;rir de pr&eacute;cieuses connaissances dans le trafic sur votre serveur web, et l\'impact de vos strat&eacute;gies de marketing. Gr&acirc;ce &agrave; ses fonctions puissantes, flexibles, et conviviales, vous pouvez d&eacute;sormais acc&eacute;der &agrave; vos donn&eacute;es, analyser et afficher des informations sur votre site web de fa&ccedil;on novatrice. Avec Google Analytics, vous pouvez maintenant cr&eacute;er votre publicit&eacute; cibl&eacute;e directement sur vos campagnes de marketing, et d&eacute;velopper des sites Web avec des taux de conversion &eacute;lev&eacute;s.';
$LNG['se_google_active']				= 'Activer Google Analytics ?';
$LNG['se_google_key']					= 'Cl&eacute; Google Analytics';
$LNG['se_google_key_info']				= 'Une fois inscrit, Google vous fournira une cl&eacute; pour identifier votre site web, pour son logiciel Google Analytics. Par exemple, Cela commence toujours avec UC : UC -13185300-3 ';
$LNG['se_ttf_file']						= 'Chemin vers le fichier FFT';
$LNG['se_ttf_file_info']				= 'Le FTT est n&eacute;cessaire afin d\'afficher les caract&egrave;res cyrilliques banni&egrave;re des statistiques ou des caract&egrave;res chinois';
$LNG['se_max_galaxy']					= 'Max galaxie';
$LNG['se_max_galaxy_info']				= 'Nombre maximum de galaxies dans l\'univers';
$LNG['se_max_system']					= 'Max Syst&egrave;me solaire';
$LNG['se_max_system_info']				= 'Nombre maximum de Syst&egrave;me solaire dans l\'univers';
$LNG['se_max_planets']					= 'Max Plan&egrave;te';
$LNG['se_max_planets_info']				= 'Nombre maximum de plan&egrave;te dans l\'univers';
$LNG['se_min_player_planets']			= 'Plan&egrave;tes Minimum / Joueurs';
$LNG['se_max_player_planets_info']		= 'Nombre maximum de colonies sans recherche';
$LNG['se_max_player_planets']			= 'Plan&egrave;tes Maximum / Joueurs';
$LNG['se_min_player_planets_info']		= 'Number of maximum colonies with research';
$LNG['se_planet_factor']				= 'Multiplan&egrave;te';
$LNG['se_planet_factor_info']			= 'Taille Plan&egrave;te multiplicateur';
$LNG['se_max_elements_build']			= 'Max contrats (construction)';
$LNG['se_max_elements_build_info']		= 'Nombre maximum d\'emplois dans la file d\'attente de construction ';
$LNG['se_max_elements_tech']			= 'Max contrats (recherche)';
$LNG['se_max_elements_tech_info']		= 'Nombre maximum d\'emplois dans la boucle de recherche';
$LNG['se_max_elements_ships']			= 'Commandes Max (chantier naval)';
$LNG['se_max_elements_ships_info']		= 'Nombre maximum d\'emplois dans le chantier naval';
$LNG['se_max_fleet_per_build']			= 'Flottes Max / Mission';
$LNG['se_max_fleet_per_build_info']		= 'Nombre maximum d\'unit&eacute;s par ordre dans le chantier naval';
$LNG['se_max_overflow']					= 'D&eacute;bordement de m&eacute;moire';
$LNG['se_max_overflow_info']			= 'Combien de ressources peuvent &ecirc;tre produites dans le facteur de roulements compl&egrave;te';
$LNG['se_moon_factor']					= 'Facteur chance de lune';
$LNG['se_moon_factor_info']				= 'Le facteur augmente les chances d\'une nouvelle lune';
$LNG['se_moon_chance']					= 'Max Lune chances';
$LNG['se_moon_chance_info']				= 'Maximum de chances de lune, une origine';
$LNG['se_darkmatter_cost_trader']	 	= 'Coûts concessionnaire';
$LNG['se_darkmatter_cost_trader_info']	= 'Frais en la mati&egrave;re noire pour le commer&ccedil;ant';
$LNG['se_factor_university']			= 'Facteur de l\'Universit&eacute;';
$LNG['se_factor_university_info']		= 'Sp&eacute;cifie &ecirc;tre r&eacute;duit par le pourcentage de la recherche universitaire par niveau';
$LNG['se_max_fleets_per_acs']	 		= 'Flottes Max / AKS';
$LNG['se_max_fleets_per_acs_info']		= 'Flottes maximum dans un composite (AKS)';
$LNG['se_vmode_min_time']				= 'Dur&eacute;e minimale du mode vacances';
$LNG['se_vmode_min_time_info']			= 'Sp&eacute;cifie combien de temps un utilisateur doit &ecirc;tre au moins en mode vacances. (en secondes)';
$LNG['se_gate_wait_time']				= 'Aller charge de grille';
$LNG['se_gate_wait_time_info']			= 'Indique combien de fois les portes de saut peut &ecirc;tre utiliser (en secondes)';
$LNG['se_metal_start']					= 'D&eacute;marrer en m&eacute;tal';
$LNG['se_metal_start_info']				= 'Indique combien de m&eacute;tal est pr&eacute;sent sur la nouvelle plan&egrave;te.';
$LNG['se_crystal_start']				= 'D&eacute;marrer en Cristal';
$LNG['se_crystal_start_info']			= 'Indique combien de cristal est pr&eacute;sent sur la nouvelle plan&egrave;te.';
$LNG['se_deuterium_start']				= 'D&eacute;marrer en deuterium';
$LNG['se_deuterium_start_info']			= 'Indique combien de deuterium est pr&eacute;sent sur la nouvelle plan&egrave;te.';
$LNG['se_darkmatter_start']				= 'D&eacute;marrer en Mati&egrave;re noire';
$LNG['se_darkmatter_start_info']		= 'Indique combien de mati&egrave;re noire gagner le nouveaux utilisateurs.';
$LNG['se_debris_moon']					= 'Supprimer TF par la lune';
$LNG['se_debris_moon_info']	 			= 'Efface le TF, apr&egrave;s qu\'une lune &eacute;tait originaire.';
$LNG['se_deuterium_cost_galaxy']		= 'Frais de galaxie';
$LNG['se_deuterium_cost_galaxy_info']	= 'Coûts par clic du deut&eacute;rium  dans la galaxie';
$LNG['se_buildlist']					= 'Liste des param&egrave;tres de construction';
$LNG['se_trader_head']					= 'R&eacute;glages Flotte Marchand';
$LNG['se_trader_ships']				= 'Navires autoris&eacute;s:';
$LNG['se_trader_charge']				= 'Frais du Marchand';
$LNG['se_player_settings']				= 'R&eacute;glages joueurs';
$LNG['se_days']							= 'Jours';
$LNG['se_del_oldstuff']					= 'Supprimer message apr&egrave;s ';
$LNG['se_del_oldstuff_info']			= 'Supprimer les messages / rapports de bataille apr&egrave;s X jours.';
$LNG['se_del_user_manually']			= 'Suppression utilisateur apr&egrave;s';
$LNG['se_del_user_manually_info']		= 'Supprime les utilisateurs qui ont leur compte supprim&eacute; actif apr&egrave;s X jours.';
$LNG['se_del_user_automatic']			= 'Supprimer les inactifs';
$LNG['se_del_user_automatic_info']		= 'Supprime les utilisateurs qui se s\'ont pas connect&eacute; apr&egrave;s X jours.';
$LNG['se_del_user_sendmail']			= 'Envoyer un rappel';
$LNG['se_del_user_sendmail_info']		= 'Envoyer un rappel aux utilisateurs, apr&egrave;s un nombre X de jours non connect&eacute;';
$LNG['se_sendmail_inactive']			= 'Activer les alertes emails';
$LNG['se_ref']							= 'Lien de parrainage';
$LNG['se_ref_active']					= 'Activer les lien de parrainage';
$LNG['se_ref_active_info']				= 'Lien de parrainage donne aux joueurs la possibilit&eacute; de renvoyer plus d\'amis. Cela vous donnera des bonus de joueurs';
$LNG['se_ref_bonus']					= 'Lien de parrainage bonus';
$LNG['se_ref_bonus_info']				= 'Nombre de mati&egrave;re noire, l\'utilisateur obtient le recrutement par utilisateur.';
$LNG['se_ref_minpoints']				= 'Des points de bonus pour les Min';
$LNG['se_ref_minpoints_info']			= 'L\'utilisateur a renvoy&eacute; d\'atteindre ces seuils afin que l\'utilisateur obtient son bonus promotionnel.';
$LNG['se_ref_max_referals']				= 'Saisi maximale';
$LNG['se_ref_max_referals_info']		= 'Nombre maximum de joueurs recrut&eacute; par utilisateur';
$LNG['se_silo_factor']					= 'Taille silo de missiles';
$LNG['se_silo_factor_info']				= 'Facteur de la taille du silo';
$LNG['se_timzone']						= 'Fuseau Horaire';
$LNG['se_dst_mode']						= 'Heure d\'&eacute;t&eacute; ?';
$LNG['se_dst_sel'][0]					= 'Non';
$LNG['se_dst_sel'][1]					= 'Oui';
$LNG['se_dst_sel'][2]					= 'Automatique';

//###########################################################//


//---------------	MODERATION	------------------------//
//	PERMISSIONS
$LNG['mod_title']					= 'Pouvoirs Admin';
$LNG['mod_range']                			= 'Grade';
$LNG['mod_power_view']           			= 'Pouvoir d\'observation';
$LNG['mod_power_edit']           			= 'Editer Pouvoirs';
$LNG['mod_power_config']         			= 'Pouvoir configurer le jeu';
$LNG['mod_power_tools']          			= 'Pouvoir manipuler les outils';
$LNG['mod_power_loog']           			= 'Vos actions sur le panneau de configuration seront sauv&eacute;es dans le fichier historique.';

//	AUTHLEVELS
$LNG['ad_authlevel_title']        			= 'Grades';
$LNG['ad_authlevel_name']        			= 'Nom';
$LNG['ad_authlevel_auth']        			= 'Grade';
$LNG['ad_authlevel_succes']    				= 'Statut chang&eacute; avec succ&egrave;s !';
$LNG['ad_authlevel_error']        			= 'Vous avez d&eacute;j&agrave; ce grade !';
$LNG['ad_authlevel_error_2']    			= 'Entrez seulement un joueur !';
$LNG['ad_authlevel_error_3']    			= 'Vous ne pouvez pas changez le grade du Cr&eacute;ateur du Jeu !';
$LNG['ad_authlevel_insert_id']    			= 'Entrer manuellement ID (Optionnel)';
$LNG['ad_authlevel_aa']        				= '[Voir Administrateurs]';
$LNG['ad_authlevel_oo']        				= '[Voir Op&eacute;rateurs]';
$LNG['ad_authlevel_mm']        				= '[Voir Mod&eacute;rateurs]';
$LNG['ad_authlevel_jj']        				= '[Voir Joueurs]';
$LNG['ad_authlevel_tt']        				= '[Voir Tous]';
//###########################################################//


//---------------	FLYING FLEETS	------------------------//
$LNG['ff_flying_fleets']        			= 'Flottes en Vol';
$LNG['ff_ammount']                			= 'Nombre';
$LNG['ff_mission']                			= 'Type de la mission';
$LNG['ff_beginning']            			= 'Joueur';
$LNG['ff_id']								= 'ID';
$LNG['ff_departure']            			= 'Originaire de';
$LNG['ff_departure_hour']        			= 'Heure de d&eacute;part';
$LNG['ff_objective']            			= 'Objectif';
$LNG['ff_arrival']                			= 'Destination';
$LNG['ff_hold_position']        			= 'Maintien Position';
$LNG['ff_arrival_hour']        				= 'Heure d\'arriv&eacute;e';
$LNG['ff_go_back_now']            			= 'Retour';
$LNG['ff_delete_succes']        			= 'Vol supprim&eacute; avec succ&egrave;s!';
$LNG['ff_goback_succes']        			= 'La Flotte retourne maintenant &agrave; son point d\'origine';
$LNG['ff_lock']						= 'Bloquer';
$LNG['ff_unlock']					= 'D&eacute;bloquer';
$LNG['ff_no_fleets']					= 'Aucune Flotte en vol en ce moment.';

//###########################################################//


//---------------	UPDATE STATS	------------------------//
$LNG['sb_top_memory']					= 'Cr&ecirc;te M&eacute;moire: %p KB / max. %m KB <br>';
$LNG['sb_final_memory']					= 'M&eacute;moire utilis&eacute;e &agrave; la fin : %e KB / max. %m KB<br>';
$LNG['sb_start_memory']					= 'M&eacute;moire utilis&eacute;e au d&eacute;but : %i KB / max. %m KB<br>';
$LNG['sb_stats_update']					= 'Stats mises &agrave; jour : %t secondes<<br>';
$LNG['sb_stats_updated']				= 'Statistiques mises &agrave; jour! <br>D&eacute;tails :<br>';
$LNG['sb_sql_counts']					= 'Requ&ecirc;tes SQL : %d';
//###########################################################//


//---------------	LISTA DE USUARIOS - USERS LIST	------------------------//
$LNG['ul_sure_you_want_dlte']				= 'Etes-vous s&ucirc;r de vouloir supprimer ?';
//###########################################################//


//---------------	MENU	------------------------//
$LNG['mu_general']                   			= 'G&eacute;n&eacute;ral';
$LNG['mu_connected']                			= 'En ligne';
$LNG['mu_settings']                			= 'Configuration';
$LNG['mu_unisettings']				= 'Configuration univers';
$LNG['mu_global_message']            			= 'Message Global';
$LNG['mu_users_settings']            			= 'Editer Menu';
$LNG['mu_add_delete_resources']    			= 'Editeur de Compte';
$LNG['mu_stats_options']            			= 'Options Statistiques';
$LNG['mu_manage_users']            			= 'Gestion des utilisateurs';
$LNG['mu_ban_options']                			= 'Outils de bannissement';
$LNG['mu_moon_options']            			= 'Options Lune';
$LNG['mu_observation']                			= 'Observatoire';
$LNG['mu_flying_fleets']            			= 'Flottes en vol';
$LNG['mu_user_list']                			= 'Liste des joueurs';
$LNG['mu_moon_list']                			= 'Liste des Lunes';
$LNG['mu_mess_list']                			= 'Liste des messages';
$LNG['mu_planet_list']                			= 'Liste des Plan&egrave;tes';
$LNG['mu_error_list']                			= 'Erreurs Base de Donn&eacute;es';
$LNG['mu_active_planets']            			= 'Plan&egrave;tes Actives';
$LNG['mu_tools']                    			= 'Utilitaires';
$LNG['mu_md5_encripter']            			= 'Encrypteur MD5';
$LNG['mu_optimize_db']                			= 'Base de Donn&eacute;es';
$LNG['mu_manual_points_update']    			= 'Mettre &agrave; jour les Points manuellement';
$LNG['mu_mpu_confirmation']        			= 'Les Points sont automatiquement mis &agrave; jour. Pour les mettre &agrave; jour manuellement, Cliquer sur OK';
$LNG['mu_search_page']                			= 'Recherche avanc&eacute;e';
$LNG['mu_info_account_page']        			= 'Information sur le compte';
$LNG['mu_planets_options']         	= 'Options Plan&egrave;tes';
$LNG['mu_user_logs']               	= 'Log';
$LNG['mu_support']                 	= 'Support Tickets';
$LNG['mu_chat']                   	= 'Administration Chat';
$LNG['mu_module']                 	= 'Module';
$LNG['mu_update']                	= 'Mise &agrave; jour du jeu';
$LNG['mu_mod_update']              	= 'Contr&ocirc;le Mod Version';
$LNG['mu_fb_options'] 				= 'Connexion Facebook';
$LNG['mu_ts_options'] 				= 'Options Teamspeak';
$LNG['mu_game_info'] 				= 'Information';
$LNG['mu_vaild_users']				= 'Activit&eacute; Utilisateur';
$LNG['mu_news']						= 'Actualit&eacute;s';
$LNG['mu_multiip_page']				= 'MultiIP'; 
$LNG['mu_clear_cache']				= 'Vider le Cache';
$LNG['mu_vertify']					= 'V&eacute;rifiez le contenu du jeu'; 
$LNG['mu_logs']						= 'Admin-Log';

$LNG['vt_error']					= 'Le Hash du fichier n\'est pas disponible ! Effectuer une mise &agrave; jour';
$LNG['vt_fail']						= 'Fichiers modifi&egrave;s';
$LNG['vt_info']						= 'Cette liste contient les fichiers qui ont &eacute;t&eacute; modifier, et ne pas correspondre &agrave; l\'original.<br>Si vous n\'avez pas chang&eacute; le jeu lui-m&ecirc;me, remplacez les fichiers avec les originaux.';

//###########################################################//

$LNG['cc_cache_clear']				= 'Cache vid&eacute;';

//---------------	RESET UNIVERSE	------------------------//
$LNG['re_reset_universe']		                = 'Reset Univers';
$LNG['re_reset_universe_confirmation']	        	= 'En cliquant sur OK, vous r&eacute;initialisez votre univers &agrave; son &eacute;tat par d&eacute;faut. Cette op&eacute;ration ne peut &ecirc;tre invers&eacute;e ! Il est de votre responsabilit&eacute; de faire une sauvegarde de votre base de donn&eacute;es <br> Toutefois, si vous faites un * Red&eacute;marrage * de votre univers, les comptes ne seront pas supprim&eacute;s.';
$LNG['re_player_and_planets']			= 'Les joueurs et la plan&egrave;te';
$LNG['re_reset_player']					= 'R&eacute;initialiser joueur (supprimer tous)';
$LNG['re_reset_planets']				= 'R&eacute;initialiser plan&egrave;te (colonies supprimer)';
$LNG['re_defenses_and_ships']                		= 'Vaisseaux et D&eacute;fenses';
$LNG['re_defenses']                        		= 'Reset Defenses';
$LNG['re_ships']                            		= 'Reset Vaisseaux';
$LNG['re_reset_hangar']                    		= 'Reset Queues Vaisseaux et D&eacute;fenses';
$LNG['re_buldings']                        		= 'B&acirc;timents';
$LNG['re_buildings_pl']                    		= 'Reset B&acirc;timents Plan&eacute;taires';
$LNG['re_buildings_lu']                    		= 'Reset B&acirc;timents Lunaires';
$LNG['re_reset_buldings']                    		= 'Reset Queues B&acirc;timents';
$LNG['re_inve_ofis']                        		= 'Recherches et Officiers';
$LNG['re_ofici']                            		= 'Reset Officiers';
$LNG['re_investigations']                    		= 'Reset Recherches';
$LNG['re_reset_invest']                    		= 'Reset Queues Recherches';
$LNG['re_resources']                        		= 'Ressources';
$LNG['re_resources_dark']                    		= 'Reset Mati&egrave;re Noire';
$LNG['re_resources_met_cry']                		= 'Reset M&eacute;tal, Cristal and Deut&eacute;rium';
$LNG['re_general']                            		= 'G&eacute;n&eacute;ral';
$LNG['re_reset_moons']                        		= 'Reset Lunes';
$LNG['re_reset_notes']                        		= 'Reset Notes';
$LNG['re_reset_rw']                        		= 'Reset Rapports de Combats';
$LNG['re_reset_buddies']                    		= 'Reset Listes d\'amis';
$LNG['re_reset_allys']                        		= 'Reset Alliances';
$LNG['re_reset_fleets']                    		= 'Reset Flottes';
$LNG['re_reset_errors']                    		= 'Reset Listes erreurs';
$LNG['re_reset_banned']                    		= 'Reset Bannissements';
$LNG['re_reset_messages']                    		= 'Reset Messages';
$LNG['re_reset_statpoints']                		= 'Reset Statistiques';
$LNG['re_reset_all']                        		= 'Reset Univers';
$LNG['re_reset_excess']                    		= 'Options red&eacute;marr&eacute;es avec Succ&egrave;s !';
//###########################################################//

//---------------	INFORMACI�N DE CUENTAS - DATA ACCOUNTS	------------------------//
$LNG['ac_user_id_required']                		= 'Vous devez s&eacute;lectionner un Joueur !';
$LNG['ac_select_one_id']                    		= 'SVP choisissez seulement un Joueur !';
$LNG['ac_no_character']                    		= 'Pas de lettres, seulement des nombres !';
$LNG['ac_select_id_num']                    		= 'Ecrire ID# manuellement (Optionnel)';
$LNG['ac_select_username']                  		= 'S&eacute;lectionnez Joueur';
$LNG['ac_username_doesnt']                  		= 'Pas de Joueur correspondant!';
$LNG['ac_title']                            		= 'D&eacute;tails Compte';
$LNG['ac_title_entry']                      		= 'Detaill&eacute;';
$LNG['ac_more']                            		= '(Plus)';
$LNG['ac_no_ally']                          		= 'Pas d\'Alliance';
$LNG['ac_moon']                            		= 'Lune';
$LNG['ac_enter_user_id']                    		= 'Selectionnez Joueurs';
$LNG['ac_minimize_maximize']                		= 'R&eacute;duire/Agrandir';
$LNG['ac_account_data']                    		= 'Donn&eacute;es Utilisateur';
$LNG['ac_name']                            		= 'Nom';
$LNG['ac_checkip_title']                    		= 'V&eacute;rification IP';
$LNG['ac_checkip'][1]                       		= '<font color=aqua>Activ&eacute;e</font>';
$LNG['ac_checkip'][0]                       		= '<font color=#FF6600>Desactiv&eacute;e</font>';
$LNG['ac_mail']                            		= 'Email';
$LNG['ac_perm_mail']                        		= 'Email Permanent';
$LNG['ac_auth_level']                       		= 'Grade';
$LNG['ac_on_vacation']                      		= 'En mode Vacances ?';
$LNG['ac_banned']                           		= 'Bannis ?';
$LNG['ac_alliance']                        		= 'Alliance';
$LNG['ac_reg_ip']                           		= 'Enregistrement IP';
$LNG['ac_last_ip']                          		= 'Derni&egrave;re IP';
$LNG['ac_home_planet_id']                   		= 'ID Plan&egrave;te M&egrave;re';
$LNG['ac_home_planet_coord']                		= 'Coordonn&eacute;es de la plan&egrave;te M&egrave;re';
$LNG['ac_user_system']                      		= 'Information Joueur';
$LNG['ac_detailed_planet_moon_info']        		= 'D&eacute;tails des Plan&egrave;tes et Lunes';
$LNG['ac_id_names_coords']                  		= 'ID, Nom and Coordonn&eacute;es';
$LNG['ac_coords']                           		= 'Coordonn&eacute;es';
$LNG['ac_diameter']                        		= 'Diam&egrave;tre';
$LNG['ac_fields']                           		= 'Cases';
$LNG['ac_temperature']                      		= 'Temp.';
$LNG['ac_officier_research']                		= 'Recherches et Officiers';
$LNG['ac_recent_destroyed_planets']        		= 'Plan&egrave;tes d&eacute;truites r&eacute;cemment';
$LNG['ac_no_moons']                        		= 'Le Joueur n\'a pas de Lunes';
$LNG['ac_total_points']                    		= 'Total : ';
$LNG['ac_points_count']                    		= 'Score | Compte';
$LNG['ac_ranking']                          		= 'Classement';
$LNG['ac_see_ranking']                      		= 'Voir Statistiques';
$LNG['ac_ally_ranking']                    		= 'Statistiques Alliances';
$LNG['ac_user_ranking']					= 'Statistiques Joueur';
$LNG['ac_register_time']				= 'Enregistr&eacute;';
$LNG['ac_register_ally_time']				= 'Date Cr&eacute;ation';
$LNG['ac_act_time']					= 'Date de la derni&egrave;re activit&eacute;';
$LNG['ac_info_ally']					= 'Infos Alliance';
$LNG['ac_leader']					= 'Leader';
$LNG['ac_tag']						= 'TAG';
$LNG['ac_name_ali']					= 'Nom Complet';
$LNG['ac_ext_text']					= 'Texte externe';
$LNG['ac_int_text']					= 'Texte interne';
$LNG['ac_sol_text']					= 'Texte de candidature';
$LNG['ac_image']					= 'Logs Alliance';
$LNG['ac_ally_web']					= 'Website Alliance';
$LNG['ac_total_members']				= 'Nombre de Membres';
$LNG['ac_no_text_ext']					= 'L\'Alliance n\a pas de Texte externe';
$LNG['ac_no_text_int']					= 'L\'Alliance n\a pas de Texte interne';
$LNG['ac_no_text_sol']					= 'L\'Alliance n\a pas de Texte de candidature';
$LNG['ac_no_img']					= 'L\'Alliance n\a pas de Logo';
$LNG['ac_no_web']					= 'L\'Alliance n\a pas de Site Internet';
$LNG['ac_view_image']					= 'Voir image dans une autre fen&ecirc;tre';
$LNG['ac_view_image2']					= 'Voir Image';
$LNG['ac_view_text_ext']				= 'Montrer Texte externe';
$LNG['ac_view_text_int']				= 'Montrer Texte interne';
$LNG['ac_view_text_sol']				= 'Montrer Application Text';
$LNG['ac_moons_no']					= '<font color=red>(Pas de Lune)</font>';
$LNG['ac_urlnow']					= 'URL: ';
$LNG['ac_time_destruyed']				= 'Date de la Destruction Totale';
$LNG['ac_isnodestruyed']				= '<font color=red>(Il n\'y a pas eu de Plan&egrave;tes d&eacute;truites r&eacute;cemment)</font>';
$LNG['ac_no_alliance']					= '<font color=red>(Pas d\'Alliance)</font>';
$LNG['ac_ali_text_11']					= 'Texte externe';
$LNG['ac_ali_text_22']					= 'Texte interne';
$LNG['ac_ali_text_33']					= 'Texte de candidature';
$LNG['ac_ali_logo_11']					= 'Logs Alliance';
$LNG['ac_ali_idid']					= 'ID:';
$LNG['ac_suspended_title']				= 'Bannissements';
$LNG['ac_suspended_time']				= 'Bannis';
$LNG['ac_suspended_longer']				= 'Jusqu\'&agrave;';
$LNG['ac_suspended_reason']				= 'Raison';
$LNG['ac_suspended_autor']				= 'Bannis pour';
$LNG['ac_note_k']					.= '<table><tr><th width=10%><font color=lime>T+</font></th><th>D&eacute;passe les Mille Milliards</th></tr>';
$LNG['ac_note_k']					.= '<tr><th width=10%><font color=lime>T</font></th><th>Mille Milliards et Plus</th></tr>';
$LNG['ac_note_k']					.= '<tr><th width=10%><font color=lime>B</font></th><th>Milliards et Plus</th></tr>';
$LNG['ac_note_k']					.= '<tr><th width=10%><font color=lime>M</font></th><th>Millions et Plus</th></tr>';
$LNG['ac_note_k']					.= '<tr><th width=10%><font color=lime>K</font></th><th>Mille et Plus</th></tr></table>';
$LNG['ac_leyend']					= '[ L&eacute;gende ]';
$LNG['ac_no_rank_level']				= 'Vous n\'avez pas l\' autorisation suffisante pour voir les informations sur ce joueur !';
//###########################################################//

//---------------	ADVANCED SEARCH	------------------------//
$LNG['se_no_data']					=	"Il n\'y a pas de donn&eacute;es";
$LNG['se_intro']					=	'Mot ou mot-cl&eacute;';
$LNG['se_users']					=	'Joueurs';
$LNG['se_planets']					=	'Plan&egrave;tes';
$LNG['se_moons']					=	'Lunes';
$LNG['se_allys']					=	'Alliances';
$LNG['se_suspended']					=	'Bannis';
$LNG['se_vacations']					=	'Vacances';
$LNG['se_authlevels']					=	'Administrateurs';
$LNG['se_inactives']					=	'Inactifs';
$LNG['se_planets_act']					=	'Plan&egrave;tes Actives';
$LNG['se_type_typee']					=	'Taper';
$LNG['se_type_all']					=	'Recherche normal';
$LNG['se_type_exact']					=	'Expression exacte';
$LNG['se_type_last']					=	'Commencer avec n\'importe quels termes';
$LNG['se_type_first']					=	'finir avec n\'importe quels termes';
$LNG['se_search']					=	'Chercher';
$LNG['se_name']						=	'Nom';
$LNG['se_id_owner']					=	'ID du propri&eacute;taire';
$LNG['se_galaxy']					=	'Galaxie';
$LNG['se_system']					=	'Syst&egrave;me';
$LNG['se_planet']					=	'Plan&egrave;te';
$LNG['se_tag']						=	'TAG';
$LNG['se_email']					=	'Email';
$LNG['se_auth']						=	'Grade';
$LNG['se_activity']					=	'Derni&egrave;re activit&eacute;';
$LNG['se_ban']						=	'Bannis';
$LNG['se_vacat']					=	'Vacances';
$LNG['se_ban_reason']					=	'Raison';
$LNG['se_ban_time']					=	'Bannis';
$LNG['se_ban_limit']					=	'Jusqu\'&agrave;';
$LNG['se_ban_author']					=	'Bannis pour';
$LNG['se_search_title']					=	'Recherche avanc&eacute;e';
$LNG['se_order_list_now']				=	'Ordre de la recherche';
$LNG['se_input_name']					=	'Nom';
$LNG['se_input_g']					=	'Galaxie';
$LNG['se_input_s']					=	'Syst&egrave;me';
$LNG['se_input_p']					=	'Plan&egrave;te';
$LNG['se_input_inacti']					=	'Inactivit&eacute;';
$LNG['se_input_submit']					=	'Soumettre';
$LNG['se_input_authlevel']				=	'Autorit&eacute;';
$LNG['se_input_email']					=	'EMail';
$LNG['se_input_time']					=	'Temps';
$LNG['se_input_longer']					=	'Dur&eacute;e';
$LNG['se_input_authlevel']				=	'Autorit&eacute;';
$LNG['se_input_prop']					=	'Propri&eacute;taire';
$LNG['se_input_asc']					=	'Croissant';
$LNG['se_input_desc']					=	'D&eacute;croissant';
$LNG['se_input_activity']				=	'Activit&eacute;';
$LNG['se_input_register']				=	'Enregistrement';
$LNG['se_input_members']				=	'Nombre de Membres';
$LNG['se_input_members2']				=	'Membres';
$LNG['se_input_have_moon']				=	'A-t\'il une Lune? ';
$LNG['se_input_ip']					=	'IP';
$LNG['se_input_a']					=	'A';
$LNG['se_input_d']					=	'D';
$LNG['se_input_hay']					=	'Il y a ';
$LNG['se_input_inact']					=	'inactif(s)';
$LNG['se_input_susss']					=	' bannis';
$LNG['se_input_admm']					=	' Administrateurs';
$LNG['se_input_allyy']					=	' Alliances';
$LNG['se_input_planett']				=	' Plan&egrave;tes';
$LNG['se_input_moonn']					=	' Lunes';
$LNG['se_input_userss']					=	' Utilisateurs';
$LNG['se_input_vacatii']				=	' Utilisateurs en vacances';
$LNG['se_input_connect']				=	' Utilisateurs en ligne';
$LNG['se_input_act_pla']				=	' Plan&egrave;tes actives';
$LNG['se_filter_title']					=	'Filtrer';
$LNG['se_search_in']					=	'Pour';
$LNG['online_users']					=	'En Ligne';
$LNG['se_limit']					=	'Limite';
$LNG['se_pagees']					=	'Pages';
$LNG['se_time_of_page']					=	'Page cr&eacute;&eacute;e en ';
$LNG['se_expand']					=	'D&eacute;velopper';
$LNG['se_contrac']					=	'R&eacute;duire';
$LNG['se__next']					=	'Suivant';
$LNG['se__before']					=	'Pr&eacute;c&eacute;dent';
$LNG['se_search_info']					=	'Chercher';
$LNG['se_asc_desc']					=	'Croissant/D&eacute;croissant';
$LNG['se_search_order']					=	'Ordre';
$LNG['se_search_edit']					=	'Editer';
$LNG['se_delete_succes_p']				=	'Supprim&eacute; avec succ&egrave;s';
$LNG['se_confirm_planet']				=	'La Plan&egrave;te (principale ou colonie) s&eacute;lectionn&eacute;e va &ecirc;tre compl&egrave;tement supprim&eacute;e, souhaitez-vous continuez ? Nom de la Plan&egrave;te :';

$SE_ID		=	"ID";
$SE_NAME	=	"Nom";

// B�SQUEDA EN TABLA DE USUARIOS
$LNG['se_search_users'][0]				=	$SE_ID;
$LNG['se_search_users'][1]				=	$SE_NAME;
$LNG['se_search_users'][2]				=	'Email';
$LNG['se_search_users'][3]				=	'Derni&egrave;re Activit&eacute;';
$LNG['se_search_users'][4]				=	'Date d\'enregistrement';
$LNG['se_search_users'][5]				=	'Derni&egrave;re IP';
$LNG['se_search_users'][6]				=	'Autorit&eacute;';
$LNG['se_search_users'][7]				=	'Bannis ?';
$LNG['se_search_users'][8]				=	'Vaccances ?';

// B�SQUEDA EN TABLA DE PLANETAS
$LNG['se_search_planets'][0]				=	$SE_ID;
$LNG['se_search_planets'][1]				=	$SE_NAME;
$LNG['se_search_planets'][2]				=	"Porpi&eacute;taire";
$LNG['se_search_planets'][3]				=	"Derni&egrave;re Activit&eacute;";
$LNG['se_search_planets'][4]				=	"Galaxie";
$LNG['se_search_planets'][5]				=	"Syst&egrave;me";
$LNG['se_search_planets'][6]				=	"Plan&egrave;te";
$LNG['se_search_planets'][7]				=	"A-t\'il une Lune ?";

// B�SQUEDA EN TABLA DE SUSPENDIDOS
$LNG['se_search_banned'][0]				=	$SE_ID;
$LNG['se_search_banned'][1]				=	$SE_NAME;
$LNG['se_search_banned'][2]				=	"Date de bannissement";
$LNG['se_search_banned'][3]				=	"Date de d&eacute;bannissement";
$LNG['se_search_banned'][4]				=	"Raison";
$LNG['se_search_banned'][5]				=	"Auteur";

// B�SQUEDA EN TABLA DE LA ALIANZA
$LNG['se_search_alliance'][0]				=	$SE_ID;
$LNG['se_search_alliance'][1]				=	$SE_NAME;
$LNG['se_search_alliance'][2]				=	"TAG";
$LNG['se_search_alliance'][3]				=	"Leader";
$LNG['se_search_alliance'][4]				=	"Date de Cr&eacute;ation";
$LNG['se_search_alliance'][5]				=	"Nombre de Membres";
//###########################################################//



//---------------	CREADOR - MAKER	------------------------//
$LNG['new_creator_title']				= 'Cr&eacute;ateur';
$LNG['new_creator_title_u']				= 'Cr&eacute;er/supprimer Joueurs';
$LNG['new_creator_title_p']				= 'Cr&eacute;er/supprimer Plan&egrave;tes';
$LNG['new_creator_title_l']				= 'Cr&eacute;er/supprimer Lunes';
$LNG['new_creator_coor']				= 'Coordonn&eacute;es';
$LNG['new_creator_go_back']				= '[ Retour au Menu ]';
$LNG['new_creator_refresh']				= '[ Actualiser ]';

//	CREADOR DE USUARIOS - USERS MAKER
$LNG['new_title']					= 'Ajouter un nouvel utilisateur';
$LNG['new_only_numbers']				= 'Les coordonn&eacute;es ne doivent contenir que des nombres !';
$LNG['new_error_coord']					= "Les Coordonn&eacute;es sont incorrectes !";
$LNG['new_complete_all']				= 'Ins&eacute;rer toutes les donn&eacute;es';
$LNG['new_error_name']					= 'Le nom d\'utilisateur est d&eacute;j&agrave; utilis&eacute; !';
$LNG['new_error_email']					= 'Email d&eacute;j&agrave; utilis&eacute; !';
$LNG['new_error_email2']				= 'Email invalide !';
$LNG['new_error_passw']					= 'Le Mot de passe doit contenir au moins 4 caract&egrave;res ou chiffres!';
$LNG['new_error_galaxy']				= 'Les coordonn&eacute;es sp&eacute;cifi&eacute;es sont d&eacute;j&agrave; utilis&eacute;es!';
$LNG['new_user_success']				= 'Utilisateur cr&eacute;&eacute; avec succ&egrave;s';
$LNG['new_add_user']					= 'Ajouter un utilisateur';
$LNG['new_range']					= 'Grade';
$LNG['new_coord']					= 'Coordonn&eacute;es';
$LNG['new_email']					= 'E-mail';
$LNG['new_pass']					= 'Mot de passe';
$LNG['new_name']					= 'Nom';

//	CREADOR DE PLANETAS - PLANETS MAKER
$LNG['po_galaxy']					=	'Galaxie';
$LNG['po_system']					=	'Syst&egrave;me solaire';
$LNG['po_planet']					=	'Plan&egrave;te';
$LNG['po_colony']					=	'Colonie';
$LNG['po_fields_max']					=	'Cases';
$LNG['po_coor_1']					=	'Coordonn&eacute;es';
$LNG['po_add_planet']					=	'Ajouter Plan&egrave;te';
$LNG['po_delete_planet']				=	'Supprimer Plan&egrave;te';
$LNG['po_name_planet']					=	'Nom de la Plan&egrave;te';
$LNG['po_complete_all']					=	'Donn&eacute;es invalides ou coordonn&eacute;es d&eacute;j&agrave; utilis&eacute;es !';
$LNG['po_complete_all2']				=	'Erreur dans les coordonn&eacute;es !';
$LNG['po_complete_succes']				=	'Plan&egrave;te cr&eacute;&eacute;e avec succ&egrave;s ! | <a href="AccountEditorPage.php">Editer plan&egrave;te</a>';
$LNG['po_complete_invalid']				=	'Donn&eacute;es Invalides !';
$LNG['po_complete_invalid2']				=	'La Plan&egrave;te n\'existe pas !';
$LNG['po_complete_invalid3']				=	'Les Plan&egrave;tes ne peuvent &ecirc;tre que supprim&eacute;es !';
$LNG['po_complete_succes2']				=	'Plan&egrave;te supprim&eacute;e avec succ&egrave;s! ';

//	CREADOR DE LUNAS - MOON MAKER
$LNG['mo_moon_added']           			= 'Lune ajout&eacute;e avec succ&egrave;s.';
$LNG['mo_moon_deleted']         			= 'Moon deleted successfully.';
$LNG['mo_moon_doesnt_exist']    			= 'La Lune n\'existe pas !';
$LNG['mo_moon_only']            			= 'Les Lunes ne peuvent &ecirc;tre que supprim&eacute;es !';
$LNG['mo_moon_unavaible']       			= 'La Plan&egrave;te a d&eacute;j&agrave; une lune !';
$LNG['mo_planet_doesnt_exist']  			= 'La Plan&egrave;te n\'existe pas !';
$LNG['mo_moon_name']            			= 'Nom de la Lune';
$LNG['mo_moon']                 			= 'Lune';
$LNG['mo_diameter']             			= 'Diam&egrave;tre';
$LNG['mo_temperature']          			= 'Temp&eacute;rature';
$LNG['mo_fields_avaibles']      			= 'Cases disponibles';
$LNG['po_add_moon']             			= 'Ajouter une Lune';
$LNG['po_delete_moon']          			= 'Supprimer une Lune';
//###########################################################//


// Support

$LNG['sp_admin_answer']					= '%s (Admin) a &eacute;crit sur %s<br><br><font color="red">%s</font>';
$LNG['sp_answer_message_title']				= 'Support Ticket #%d';
$LNG['sp_answer_message']				= 'Sur Votre ticket #%d une r&eacute;ponse a &eacute;t&eacute; post&eacute;e!';
$LNG['sp_admin_closed']					= '%s (Admin) a ferm&eacute; le ticket le %s !';
$LNG['sp_admin_open']					= '%s (Admin) a ouvert le ticket le %s !';


// QuickEditor
$LNG['qe_send']						= 'Soumettre';
$LNG['qe_reset']					= 'Reset';
$LNG['qe_build']					= 'Construction';
$LNG['qe_tech']							= 'Technologie';
$LNG['qe_officier']						= 'Officiers';
$LNG['qe_fleet']					= 'Flottes';
$LNG['qe_defensive']					= 'Defenses';
$LNG['qe_resources']					= 'Ressources';
$LNG['qe_id']						= 'ID';
$LNG['qe_name']						= 'Nom';
$LNG['qe_level']						= 'Niveau';
$LNG['qe_count']					= 'Disponible';
$LNG['qe_input']					= 'Entr&eacute;e';
$LNG['qe_edit_planet_sucess']			= 'Plan&egrave;te %s [%d:%d:%d] &eacute;dit&eacute; avec succ&egrave;s!';
$LNG['qe_edit_player_sucess']			= 'Joueur %s (ID: %d) &eacute;dit&eacute; avec succ&egrave;s!';
$LNG['qe_info']						= 'Information';
$LNG['qe_owner']					= 'Propri&eacute;taire';
$LNG['qe_fields']					= 'Cases';
$LNG['qe_password']						= 'Mot de passe';
$LNG['qe_coords']					= 'Coordon&eacute;es';
$LNG['qe_hpcoords']						= 'HP-Coordonn&eacute;es';
$LNG['qe_temp']						= 'Temp&eacute;rature';
$LNG['qe_change']						= 'Changement';
$LNG['qe_authattack']					= 'Protection contre les attaques admin';

//----------------------------------------------------------------------------//
//TeamSpeakSettingPage.php
$LNG['ts_settings']					= 'Param&egrave;tres Teamspeak';
$LNG['ts_active']					= 'Activer Module Teamspeak ?';
$LNG['ts_version']					= 'Version-Serveur:';
$LNG['ts_udpport']					= 'TCP Port';
$LNG['ts_tcpport']					= 'UDP Port';
$LNG['ts_serverip']					= 'Serveur IP';
$LNG['ts_timeout']					= 'Timeout';
$LNG['ts_server_query']					= 'Serveur Query Port';
$LNG['ts_login']						= 'Server Query Connectez-vous'; 
$LNG['ts_pass']							= 'Server Query Mot de passe'; 
$LNG['ts_cron']							= 'Taux d\'actualisation';

//----------------------------------------------------------------------------//
//FacebookSettingPage.php
$LNG['fb_settings']					= 'Param&egrave;tres de Facebook Connect';
$LNG['fb_active']					= 'Activer la Facebook Connect?';
$LNG['fb_api_key']					= 'Facebook API Cl&eacute;';
$LNG['fb_secrectkey']					= 'Cl&eacute; Secr&egrave;te Facebook';
$LNG['fb_info']						= 'Avec Facebook Connect, les utilisateurs qui sont connect&eacute;s sur Facebook peuvent se connecter en un clic, ou s\'inscrire. <br> Pour utiliser cette fonctionnalit&eacute;, vous devez &ecirc;tre inscrit &agrave; Faceebok lui-m&ecirc;me. En outre, vous devez cr&eacute;er une demande. Informations : <a href="http://www.facebook.com/developers/"> http://www.facebook.com/developers/ </ a>. Vous devez vous connecter en entrant l\'URL de la partie. Ensuite, vous portez ici les cl&eacute;s et votre jeu devrait &ecirc;tre pr&ecirc;t pour Facebook. <font color="red"> <br> Pour FB Connect, la distribution du courrier sera disponible ! (param&egrave;tres SMTP) </ font> ';
$LNG['fb_curl_yes']						= '<span style="color:green">cURL install&eacute;!</span>';
$LNG['fb_curl_no']						= '<span style="color:red">cURL n\'est pas install&eacute;! N&eacute;cessite l\'extension cURL Facebook au boulot!</span>';

//----------------------------------------------------------------------------//
//GameModule.php
$LNG['modul'][0]                        		= 'Alliance';
$LNG['modul'][39]						        = 'Simulateur de combat';
$LNG['modul'][2]                        		= 'Construction - B&acirc;timents';
$LNG['modul'][3]                        		= 'Elaboration - Rerecherches';
$LNG['modul'][4]                        		= 'Construction - Flottes';
$LNG['modul'][5]                        		= 'Construction - D&eacute;fense';
$LNG['modul'][6]                        		= 'Liste d\'amis';
$LNG['modul'][7]                        		= 'Chat';
$LNG['modul'][8]                        		= 'Banque Mati&egrave;re Noire';
$LNG['modul'][9]                        		= 'Flottes';
$LNG['modul'][10]                       		= 'Flottes - Gestionnaire';
$LNG['modul'][40]						        = 'Fleets Shourtcuts';
$LNG['modul'][11]                       		= 'Galaxie';
$LNG['modul'][12]                       		= 'Hall of Fame';
$LNG['modul'][13]                       		= 'Marchand';
$LNG['modul'][14]                       		= 'Info';
$LNG['modul'][15]                       		= 'Empire';
$LNG['modul'][32]                       		= 'Mission - Recycler';
$LNG['modul'][1]                        		= 'Mission - Attaquer';
$LNG['modul'][31]                       		= 'Mission - Rechercher de la Mati&egrave;re Noire';
$LNG['modul'][30]                       		= 'Mission - Exp&eacute;dition';
$LNG['modul'][33]                       		= 'Mission - Stationner';
$LNG['modul'][35]                       		= 'Mission - Coloniser';
$LNG['modul'][24]                       		= 'Mission - Espionner';
$LNG['modul'][36]                       		= 'Mission - Attaque group&eacute;e';
$LNG['modul'][34]                       		= 'Mission - Transporter';
$LNG['modul'][29]                       		= 'Mission - D&eacute;truire';
$LNG['modul'][16]                       		= 'Actualit&eacute;s';
$LNG['modul'][17]                       		= 'Notes';
$LNG['modul'][18]                       		= 'Officiers';
$LNG['modul'][19]                       		= 'Phalange';
$LNG['modul'][20]                       		= 'Profil';
$LNG['modul'][21]                       		= 'Piloris';
$LNG['modul'][22]                       		= 'Records';
$LNG['modul'][23]                       		= 'Ressources';
$LNG['modul'][38]						        = 'Flotte - Marchand';
$LNG['modul'][25]                       		= 'Statistiques';
$LNG['modul'][37]                       		= 'Banni&egrave;re Statistiques';
$LNG['modul'][26]                       		= 'Rechercher';
$LNG['modul'][27]                       		= 'Tickets Support';
$LNG['modul'][28]                       		= 'Technologies';
$LNG['modul'][41]                           = 'Facebook Application';
$LNG['mod_module']					= 'Modules';
$LNG['mod_info']					= 'Modules dans le Jeu';
$LNG['mod_active']					= 'Actif';
$LNG['mod_deactive']					= 'Inactif';
$LNG['mod_change_active']				= 'Activ&eacute;';
$LNG['mod_change_deactive']				= 'D&eacute;sactiv&eacute;';

//News

$LNG['nws_news']					= 'Actualit&eacute;s';
$LNG['nws_head_create']					= 'Cr&eacute;er Actualit&eacute;s';
$LNG['nws_head_edit']					= '%s de travail sur les actualit&eacute;s';
$LNG['nws_id']						= 'ID';
$LNG['nws_title']					= 'Titre';
$LNG['nws_date']					= 'Date';
$LNG['nws_from']					= 'de';
$LNG['nws_del']						= 'Supprimer';
$LNG['nws_confirm']					= 'Etes vous s&ucirc;r de vouloir supprimer le message %s ?';
$LNG['nws_create']					= 'Cr&eacute;ation Actualit&eacute;s';
$LNG['nws_total']					= 'Total %d Actualit&eacute;s disponibles';
$LNG['nws_content']					= 'Contenus';

//Mod Versions Control

$LNG['mvc_title']						= 'Titre';
$LNG['mvc_author']						= 'Auteur';
$LNG['mvc_version']						= 'Version';
$LNG['mvc_link']						= 'Lien';
$LNG['mvc_update_yes']					= 'Une mise &agrave; jour est disponible !';
$LNG['mvc_update_no']					= 'La derni&egrave;re version est insatll&eacute;e !';
$LNG['mvc_update_version']				= 'Derni&egrave;re version';
$LNG['mvc_update_date']					= 'Publi&eacute;e';
$LNG['mvc_announcement']				= 'Annonce';
$LNG['mvc_download']					= 'T&eacute;l&eacute;charger';
$LNG['mvc_desc']						= 'Description';

//Universe Page
$LNG['uvs_id']							= 'ID';
$LNG['uvs_name']						= 'Nom';
$LNG['uvs_speeds']						= 'Vitesses';
$LNG['uvs_players']						= 'Joueurs';
$LNG['uvs_open']						= 'Ouvrir';
$LNG['uvs_export']						= 'Exporter';
$LNG['uvs_delete']						= 'Supprimer';
$LNG['uvs_on']							= 'On';
$LNG['uvs_off']							= 'Off';
$LNG['uvs_new']							= 'Cr&eacute;er un Univers';
$LNG['uvs_import']						= 'Importer un Univers';
$LNG['uvs_upload']						= 'Envoyer';
$LNG['uvs_error']						= 'Importer un fichier non valide!';

//Update Page
$LNG['up_weiter']						= 'Autre';
$LNG['up_kein_update']					= 'Pas de mise &agrave; jour disponible !';
$LNG['up_ok_update']					= 'OK! - Mis &agrave; jour';
$LNG['up_error_update']					= 'ERREUR!';
$LNG['up_delete_file']					= 'Supprim&eacute; avec succ&egrave;s';
$LNG['up_error_delete_file']			= 'ERREUR! - Impossible de supprimer le fichier';
$LNG['up_update_ok_rev']				= 'UPDATE: OK! A la R&eacute;vision : ';
$LNG['up_error_fsockopen']				= 'Fonction file_get_contents fsockopen d&eacute;sactiv&eacute;';
$LNG['up_download_patch_files']			= 'T&eacute;l&eacute;charger Fichiers Patch';
$LNG['up_aktuelle_updates']				= 'Mises &agrave; jour en cours';
$LNG['up_momentane_version']			= 'Version momentan&eacute;e';
$LNG['up_alte_updates']					= 'Anciennes mises &agrave; jour';
$LNG['up_revision']						= 'R&eacute;vision ';
$LNG['up_add']							= 'Ajouter :';
$LNG['up_edit']							= 'Editer :';
$LNG['up_del']							= 'Supprimer :';
$LNG['up_submit']						= 'Envoyer';
$LNG['up_version']						= 'Version';
$LNG['up_chmod_error']					= 'Aucune permission d\'&eacute;criture pour le dossier:\n\n%s';
$LNG['up_need_curl']					= 'Erreur: cURL n\'est pas disponible.<br />2Moons système de mise à jour nécessite cURL, pour charger les données réelles téléchargées.';

//Chat Page
$LNG['ch_socket_chatid_info']			= 'Cet ID peut &ecirc;tre utilis&eacute;e pour distinguer entre les diff&eacute;rentes installations de chat en utilisant le serveur m&ecirc;me socket';
$LNG['ch_socket_port_info']				= 'D&eacute;finit le port du serveur socket';
$LNG['ch_socket_ip_info']				= 'D&eacute;finit l\'adresse IP du serveur de socket utilis&eacute; pour connecter d\'un c&ocirc;t&eacute; serveur pour diffuser un message mise &agrave; jours';
$LNG['ch_socket_host_info']				= 'D&eacute;finit le nom d\'h&ocirc;te du serveur de socket utilis&eacute; pour se connecter &agrave; partir du c&ocirc;t&eacute; client (le nom du serveur est utilis&eacute; si la valeur null)';
$LNG['ch_socket_chatid']				= 'Socket ChatID';
$LNG['ch_socket_port']					= 'Socket Port';
$LNG['ch_socket_ip']					= 'Socket IP';
$LNG['ch_socket_host']					= 'Socket Hostname';
$LNG['ch_socket_active']				= 'Socket active?';
$LNG['ch_socket']						= 'Les param&egrave;tres du serveur Socket';
$LNG['ch_closed']						= 'Chat ferm&eacute;?';
$LNG['ch_allowchan']					= 'Autoriser canaux priv&eacute;s';
$LNG['ch_allowmes']						= 'Autoriser messages priv&eacute;s';
$LNG['ch_allowcelmes']					= 'Supprimer des messages propres';
$LNG['ch_logmessage']					= 'Activer les messages du journal';
$LNG['ch_nickchange']					= 'Autoriser le changement de Pseudo';
$LNG['ch_botname']						= 'Nom de bot';
$LNG['ch_channelname']					= 'Nom de canal par d&eacute;faut';

//Active Page
$LNG['ap_id']							= 'ID';
$LNG['ap_username']						= 'Nom d\'utilisateur';
$LNG['ap_datum']						= 'Date';
$LNG['ap_email']						= 'E-Mail';
$LNG['ap_ip']							= 'IP';
$LNG['ap_aktivieren']					= 'Activer';
$LNG['ap_del']							= 'Supprimer';
$LNG['ap_sicher']						= 'Etes-vous s&ucirc;r ?';
$LNG['ap_entfernen']					= ' &agrave; supprimer ?';
$LNG['ap_insgesamt']					= 'total ';
$LNG['ap_nicht_aktivierte']				= ' utilisateur plus disponible.';
$LNG['ap_nicht_aktivierte_user']		= 'L\'utilisateur ne s\'est pas activ&eacute;';

//MultiIPPage
$LNG['mip_ip']							= 'IP';
$LNG['mip_user']						= 'Utilisateur';

//Admin Log
$LNG['log_log']                         = 'Connexion';
$LNG['log_menu']                        = 'Menu de Connexion';
$LNG['log_admin']                       = 'Administrateur';
$LNG['log_time']                        = 'Temps';
$LNG['log_target_user']                 = 'Changer joueur';
$LNG['log_target_planet']               = 'Changer Plan&egrave;te';
$LNG['log_target_universe']             = 'Changer Univers';
$LNG['log_id']                          = 'ID';
$LNG['log_view']                        = 'Voir';
$LNG['log_info']                        = 'Info';
$LNG['log_element']                     = 'Element';
$LNG['log_old']                         = 'Avant';
$LNG['log_new']                         = 'Apr&egrave;s';
$LNG['log_player']                      = 'Edit&eacute;s joueurs';
$LNG['log_planet']                      = 'Edit&eacute;s plan&egrave;tes';
$LNG['log_settings']                    = 'Options';
$LNG['log_cat']                         = 'Choisissez une cat&eacute;gorie pour vous inscrire:';
$LNG['log_no_data']                     = 'Il n\'existe aucunes donn&eacute;es &agrave; partir du journal available!';
$LNG['log_ssettings']                   = 'Configuration du jeu';
$LNG['log_usettings']                   = 'Configuration de l\'Univers';
$LNG['log_statsettings']                = 'Options Statistiques';
$LNG['log_chatsettings']                = 'Options Chat';
$LNG['log_tssettings']                  = 'Options Teamspeak';
$LNG['log_uni_short']                   = 'Uni';
$LNG['log_universe']                    = 'Univers';

// Traduction Française by Scofield06 - All rights reserved (C) 2011
?>