<?php

/**
 *  2Moons
 *  Copyright (C) 2011  Slaver
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package 2Moons
 * @author Slaver <slaver7@gmail.com>
 * @copyright 2009 Lucky <lucky@xgproyect.net> (XGProyecto)
 * @copyright 2011 Slaver <slaver7@gmail.com> (Fork/2Moons)
 * @license http://www.gnu.org/licenses/gpl.html GNU GPLv3 License
 * @version 1.6.1 (2011-11-19)
 * @info $Id: INSTALL.php 2072 2011-11-17 13:21:40Z slaver7 $
 * @link http://code.google.com/p/2moons/
 */

$LNG['continue']			= 'Weiter';

$LNG['menu_intro']			= 'Intro';
$LNG['menu_install']		= 'Installieren';
$LNG['menu_license']		= 'Lizenz';

$LNG['title_install']		= 'Installer';

$LNG['intro_lang']			= 'Sprache';
$LNG['intro_instal']		= 'Zur Installation';
$LNG['intro_welcome']		= 'Herzlich Willkommen beim 2Moons!';
$LNG['intro_text']			= '2Moons ist eines der besten Klone von OGame.<br>2Moons ist die neueste und stabilste XNova Version je entwickelt wurde. 2Moons glänzt durch Stabilität, Flexibilität, Dynamik, Qualität und Benutzerfreundlichkeit. Wir hoffen immer besser zu sein als ihre Erwartungen.<br><br>Das Installations-System führt Sie durch die Installation, oder Upgrade auf einer vorherigen Version auf die neueste ein. Jede Frage, ein Problem zögern Sie bitte nicht, unsere Entwicklung und Unterstützung zu ersuchen.<br><br>2Moons ist ein OpenSource-Projekt und ist under GNU GPL v3 lizenziert. Zur Lizenz klicken Sie bitte im Menu auf die entsprechenden Menüpunkt.<br><br>Bevor die Installation gestartet werden kann, wird vorher ein kleiner Test durchgeführt, ob sie die Mindestanforderungen unterstützen.';

$LNG['reg_yes']				= 'Ja';
$LNG['reg_no']				= 'Nein';
$LNG['reg_found']			= 'Gefunden';
$LNG['reg_not_found']		= 'Nicht Gefunden';
$LNG['reg_writable']		= 'Beschreibar';
$LNG['reg_not_writable']	= 'Nicht Beschreibar';
$LNG['reg_file']			= 'Datei';
$LNG['reg_dir']				= 'Ordner';
$LNG['reg_gd_need']			= 'GD-Lib vorhanden?';
$LNG['reg_mysqli_active']	= 'MySQLi vorhanden?';
$LNG['reg_json_need']		= 'JSON vorhanden?';
$LNG['reg_bcmath_need']		= 'BCMath vorhanden?';
$LNG['reg_iniset_need']		= 'ini_set erlaubt?';
$LNG['reg_global_need']		= 'register_globals deaktiviert?';
$LNG['req_php_need']		= 'PHP-Version (min. 5.2.5)';
$LNG['req_ftp']				= 'FTP';
$LNG['req_ftp_info']		= 'Gebe deine FTP Daten ein, um die Probleme zu beheben.';
$LNG['req_ftp_host']		= 'FTP-Host';
$LNG['req_ftp_username']	= 'Username';
$LNG['req_ftp_password']	= 'Password';
$LNG['req_ftp_dir']			= 'Pfad zu 2Moons';
$LNG['req_ftp_send']		= 'Absenden';
$LNG['req_ftp_pass_info']	= 'Ihr Passwort wird nicht gespeichert!';

$LNG['step1_mysql_server']	= 'MySQL-DB-Server: <br>Standart: localhost';
$LNG['step1_mysql_port']	= 'MySQL-DB-Server-Port: <br>Standart: 3306';
$LNG['step1_mysql_dbname']	= 'MySQL-DB-Name: <br> Bspl.: Game';
$LNG['step1_mysql_dbuser']	= 'MySQL-DB-User: <br> Bspl.: root';
$LNG['step1_mysql_dbpass']	= 'MySQL-DB-Passwort: <br> Bspl.: 12345';
$LNG['step1_mysql_prefix']	= 'MySQL-DB-Prefix: <br> Bspl.: uni1_';

$LNG['step2_prefix_invalid']= 'Der DB-Prefix daruf nur alphanumerische Zeichen und Unterstriche enthalten.';
$LNG['step2_db_connet_ok']	= 'Verbindung zur Datenbank erfolgreich...';
$LNG['step2_db_create_ok']	= 'Datenbank Tabellen erfolgreich erstellt....';
$LNG['step2_db_error']		= 'Fehler beim erstellen der Datenbank-Tabellen:\n%s';
$LNG['step2_db_con_fail']	= 'Keine Verbindung der Datenbank.\n %s';
$LNG['step2_conf_op_fail']	= 'config.php ist nicht beschreibar!';
$LNG['step2_conf_create']	= 'config.php erfolgreich erstellt...';

$LNG['step3_create_admin']	= 'Erstellung einer Adminkontos';
$LNG['step3_admin_name']	= 'Administrator Username:';
$LNG['step3_admin_pass']	= 'Administrator Passwort:';
$LNG['step3_admin_mail']	= 'Administrator E-Mail Adresse:';

$LNG['step4_need_fields']	= 'Sie müssen alle Felder ausfüllen!';

$LNG['sql_universe']		= 'Universum';
$LNG['sql_close_reason']	= 'Game ist zurzeit geschlossen';
$LNG['sql_welcome']			= 'Herzlich Willkommen zu ';
?>