<?php

/**
 *  2Moons
 *  Copyright (C) 2011  Slaver
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package 2Moons
 * @author Slaver <slaver7@gmail.com>
 * @copyright 2009 Lucky <lucky@xgproyect.net> (XGProyecto)
 * @copyright 2011 Slaver <slaver7@gmail.com> (Fork/2Moons)
 * @license http://www.gnu.org/licenses/gpl.html GNU GPLv3 License
 * @version 1.6.1 (2011-11-19)
 * @info $Id: ADMIN.php 2072 2011-11-17 13:21:40Z slaver7 $
 * @link http://code.google.com/p/2moons/
 */

//---------------	GENERAL	------------------------//
$LNG['adm_login'] = 'Ingresar';
$LNG['adm_password'] = 'Contraseña';
$LNG['adm_absenden'] = 'Enviar';
$LNG['adm_password_info'] = '¡Ingrese su contraseña para verificar su identidad!';
$LNG['adm_bad_password'] = '¡Contraseña Erronea!';
$LNG['404_page'] = 'No posees permisos suficientes para ingresar a esta página';
$LNG['adm_cp_title'] = 'Panel de Administración';
$LNG['adm_cp_index'] = 'Inicio';
$LNG['mu_moderation_page'] = 'Permisos';
$LNG['mu_universe'] = 'Universo';
$LNG['adm_cp_logout'] = 'Salir';

//	MISCELÁNEO - MISCELLANEOUS
$LNG['ad_number'] = 'ID';
$LNG['ad_max'] = '(máx. %d)';
$LNG['only_numbers'] = '¡Solo se pueden ingresar números (0-9)!';
$LNG['select_option'] = 'Seleccionar...';

// 	RANGO - RANK
$LNG['rank'][0] = 'Jugador';
$LNG['rank'][1] = 'Moderador';
$LNG['rank'][2] = 'Operador';
$LNG['rank'][3] = 'Administrador';

// 	TIEMPO - TIME
$LNG['time_days'] = 'Día';
$LNG['time_hours'] = 'Hora';
$LNG['time_minutes'] = 'Minutos';
$LNG['time_seconds'] = 'Segundos';
//###########################################################//

$LNG['info_information'] = 'Para información y reporte de errores ir a <a href="%s" target="tracker">2Moons Board</a><br>¡No hay soporte de otra forma!';

//---------------	¿SI O NO? - YES OR NO? - JA ODER NEIN?	------------------------//
$LNG['one_is_yes'][1] = 'Sí';
$LNG['one_is_yes'][0] = 'No';

$LNG['one_is_no'][1] = 'Sí';
$LNG['one_is_no'][0] = 'No';
//###########################################################//

//---------------	BOTONES - BUTTONS - BUTTONS	------------------------//
$LNG['button_submit'] = 'Enviar';
$LNG['button_add'] = 'Añadir';
$LNG['button_delete'] = 'Eliminar';
$LNG['button_filter'] = 'Filtro';
$LNG['button_deselect'] = 'Eliminar Selección';
$LNG['button_reset'] = 'Reiniciar';
$LNG['button_des_se'] = 'Marcar/Desmarcar Todos';
//###########################################################//

//---------------	ID's	------------------------//
$LNG['input_id'] = 'ID';
$LNG['input_id_user'] = 'ID Usuario';
$LNG['input_id_planet'] = 'ID Planeta';
$LNG['input_id_moon'] = 'ID Luna';
$LNG['input_id_p_m'] = 'ID Planeta o Luna';
$LNG['input_id_ally'] = 'ID Alianza';
//###########################################################//

//---------------	RECURSOS - RESOURCES - ROHSTOFFE	------------------------//
$LNG['resources_title'] = 'Recursos';
$LNG['count_res'] = 'Cantidad de Recursos';
//###########################################################//

//---------------	OFICIALES - OFFICIERS - OFFIZIERE	------------------------//
$LNG['buildings_title'] = 'Edificios';
$LNG['ships_title'] = 'Naves';
$LNG['defenses_title'] = 'Defensas';
$LNG['researchs_title'] = 'Investigaciones';
$LNG['officiers_title'] = 'Oficiales';
//###########################################################//

//---------------	EDITOR	------------------------//
// GLOBAL - MENU - MENÜ
$LNG['ad_forgiven_id'] = '¡Debes ingresar una ID!';
$LNG['ad_back_to_menu'] = 'Volver al menú principal';
$LNG['ad_editor_title'] = 'Editor de cuentas';
$LNG['ad_editor_buildings'] = 'Edificios';
$LNG['ad_editor_ships'] = 'Naves';
$LNG['ad_editor_defenses'] = 'Defensas';
$LNG['ad_editor_researchs'] = 'Investigaciones';
$LNG['ad_editor_officiers'] = 'Oficiales';
$LNG['ad_editor_personal'] = 'Datos personales';
$LNG['ad_editor_planets'] = 'Planetas y Lunas';
$LNG['ad_editor_resources'] = 'Recursos';
$LNG['ad_editor_alliances'] = 'Alianzas';
$LNG['ad_editor_authlevels'] = 'Gestionar permisos';

$LNG['ad_add_not_exist'] = '¡No existe la ID!';

//	INVESTIGACIONES - RESEARCHS - FORSCHUNGEN
$LNG['ad_add_succes'] = '¡Investigaciones agregadas con éxito!';
$LNG['ad_delete_succes'] = '¡Investigaciones borradas con éxito!';
$LNG['ad_research_title'] = 'Editar investigaciones';

//	OFICIALES - OFFICIERS - OFFIZIERE
$LNG['ad_offi_title'] = 'Editar oficiales';
$LNG['ad_offi_succes_add'] = 'Oficiales agregados con éxito';
$LNG['ad_offi_succes_delete'] = 'Oficiales borrados con éxito';

//	RECURSOS - RESOURCES - ROHSTOFFE
$LNG['ad_add_sucess'] = 'Recursos agregados con éxito';
$LNG['ad_delete_sucess'] = 'Recursos borrados con éxito';
$LNG['ad_main_title'] = 'Administración de recursos y tecnologías';

//	NAVES - SHIPS - SCHIFFE
$LNG['ad_ships_title'] = 'Editar naves';
$LNG['ad_add_sucess_ships'] = '¡Naves agregadas con éxito!';
$LNG['ad_delete_sucess_ships'] = '¡Naves borradas con éxito!';

//	DEFENSAS - DEFENSES - VERTEIDIGUNG
$LNG['ad_defenses_title'] = 'Editar defensas';
$LNG['ad_add_defenses_succes'] = '¡Defensas agregadas con éxito!';
$LNG['ad_delete_defenses_succes'] = '¡Defensas borradas con éxito!';

//	EDIFICIOS - BUILDINGS - GEBÄUDE
$LNG['ad_buildings_title'] = 'Editar edificios';
$LNG['ad_planet_id'] = 'ID del planeta o luna';
$LNG['ad_levels'] = 'Cantidad de niveles';
$LNG['ad_count'] = 'Cantidad';
$LNG['ad_add_succes'] = '¡Edificios agregados con éxito!';
$LNG['ad_delete_succes'] = '¡Edificios borrados con éxito!';

// DATOS PERSONALES - PERSONAL DATA
$LNG['ad_personal_title'] = 'Editar datos personales';
$LNG['ad_personal_name'] = 'Nombre';
$LNG['ad_personal_email'] = 'Correo electrónico';
$LNG['ad_personal_email2'] = 'E-mail Permanente';
$LNG['ad_personal_pass'] = 'Contraseña';
$LNG['ad_personal_succes'] = 'Opciones cambiadas con éxito';
$LNG['ad_personal_vacat'] = '¿Modo Vacaciones?';

//	ALIANZA - ALLIANCES - ALLIANZ
$LNG['ad_ally_title'] = 'Editar alianzas';
$LNG['ad_ally_change_id'] = 'Cambiar el lider de la alianza';
$LNG['ad_ally_name'] = 'Editar nombre';
$LNG['ad_ally_tag'] = 'Editar Etiqueta de Alianza';
$LNG['ad_ally_text1'] = 'Descripción de la Alianza';
$LNG['ad_ally_text2'] = 'Texto Interno';
$LNG['ad_ally_text3'] = 'Plantilla de Solicitud';
$LNG['ad_ally_delete'] = 'Eliminar Alianza';
$LNG['ad_ally_delete_u'] = 'Eliminar Usuario';
$LNG['ad_ally_user_id'] = '(Ingresar ID de Usuario)';
$LNG['ad_ally_succes'] = 'Operación realizada con éxito';
$LNG['ad_ally_not_exist3'] = 'El usuario no existe o no es un miembro de la Alianza';
$LNG['ad_ally_not_exist'] = '¡La alianza no existe!';
$LNG['ad_ally_not_exist2'] = '¡El usuario no existe!';

//	PLANETAS Y LUNAS - PLANETS AND MOONS - PLANETEN UND MONDE
$LNG['ad_pla_title'] = 'Editar Planetas y/o Lunas';
$LNG['ad_pla_edit_name'] = 'Editar nombre';
$LNG['ad_pla_change_id'] = 'Cambiarle dueño (Ingresar ID del usuario)';
$LNG['ad_pla_edit_diameter'] = 'Editar Diámetro';
$LNG['ad_pla_edit_fields'] = 'Editar campos';
$LNG['ad_pla_delete_b'] = 'Eliminar todos los Edificios';
$LNG['ad_pla_delete_s'] = 'Eliminar todas las Naves';
$LNG['ad_pla_delete_d'] = 'Eliminar todas las Defensas';
$LNG['ad_pla_delete_hd'] = 'Eliminar Cola de Construcción de Hangar y Defensas';
$LNG['ad_pla_delete_cb'] = 'Eliminar Cola de Construcción de Edificios';
$LNG['ad_pla_delete_planet'] = 'Eliminar Planeta';
$LNG['ad_pla_title_a'] = 'If you have a moon also changed hands this will';
// ???
$LNG['ad_pla_title_l'] = 'En caso de tener una luna también ésta sera cambiada de posición';
$LNG['ad_pla_change_p'] = 'Cambiar posición del planeta';
$LNG['ad_pla_change_pp'] = 'Marcar para efectuar el cambio de posición';
// ???
$LNG['ad_pla_succes'] = 'Cambios efectuados con éxito';
$LNG['ad_pla_error_planets'] = '¡Las lunas no pueden cambiarse de dueño!';
$LNG['ad_pla_error_user'] = '¡El usuario no existe!';
$LNG['ad_pla_error_planets2'] = '¡El planeta no existe!';
$LNG['ad_pla_error_planets3'] = '¡Las coordenadas solicitadas ya estan en uso!';
$LNG['ad_pla_error_planets4'] = '¡No podes mover la luna a un planeta que ya tiene una!';
$LNG['ad_pla_error_planets5'] = '¡Debe existir un Planeta en las coordenadas seleccionadas!';
$LNG['ad_pla_delete_planet_s'] = 'Planeta borrado con éxito';
//###########################################################//

//---------------	PANEL DE SUSPENSIÓN - BAN PANEL - BANN PANEL	------------------------//
$LNG['bo_the_player'] = 'El jugador ';
$LNG['bo_the_player2'] = 'Al jugador ';
$LNG['bo_banned'] = ' fue suspendido correctamente.';
$LNG['bo_unbanned'] = ' se le ha levantado la suspensión correctamente.';
// [Sperre aufgehoben ?]
$LNG['bo_username'] = 'Nombre de jugador';
$LNG['bo_vacaations'] = '¿Modo Vacaciones?';
$LNG['bo_reason'] = 'Razón de la suspensión';
$LNG['bo_time'] = 'Tiempo de suspensión';
$LNG['bo_vacation_mode'] = 'Modo Vacaciones';
$LNG['bo_ban_player'] = 'Suspender/Editar suspensión';
$LNG['bo_unban_player'] = 'Levantar suspensión';
$LNG['bo_user_doesnt_exist'] = '¡El jugador no existe!';
$LNG['bo_user_select'] = 'Seleccionar...';
$LNG['bo_select_title'] = 'Mostrar nombres que empiezen con';
$LNG['bo_suspended_panel'] = 'Panel de suspensión';
$LNG['bo_bbb_go_back'] = '[ Volver ]';
$LNG['bo_bbb_go_act'] = '[ Recargar ]';
$LNG['bo_bbb_title_1'] = 'Sistema de suspensión';
$LNG['bo_bbb_title_2'] = 'Establecer fecha en la que perdera la suspensión';
$LNG['bo_bbb_title_3'] = 'Sistema de suspensión<br><font color=red>Atención, este usuario ya esta suspendido';
$LNG['bo_bbb_title_4'] = 'Para restar dias, horas, etc agrega un signo menos ( - ) delante del número, Ejemplo: -5';
$LNG['bo_bbb_title_5'] = 'Suspendido hasta el';
$LNG['bo_bbb_title_6'] = 'Cambiar fecha';
$LNG['bo_characters_1'] = 'Caracteres disponibles: ';
$LNG['bo_characters_suus'] = '&nbsp; (Suspendido)';
$LNG['bo_order_username'] = '[Ordenar por nombre]';
$LNG['bo_order_id'] = '[Ordenar por ID]';
$LNG['bo_order_banned'] = '[Ver suspendidos]';
$LNG['bo_total_users'] = 'Usuarios totales: ';
$LNG['bo_total_banneds'] = 'Usuarios suspendidos: ';
//###########################################################//

//---------------	ENCRIPTADOR MD5 - ENCRIPTER MD5	------------------------//
$LNG['et_md5_encripter'] = 'Encriptador de claves (MD5)';
$LNG['et_pass'] = 'Contraseña';
$LNG['et_result'] = 'Resultado';
$LNG['et_encript'] = 'Encriptar';
//###########################################################//

//---------------	CONFIGURACIÓN DE ESTADÍSTICAS - STATS CONFIG - Stats-Config	------------------------//
$LNG['cs_title'] = 'Parámetros de las estadísticas';
$LNG['cs_point_per_resources_used'] = 'Valor de 1 punto de estadística';
$LNG['cs_resources'] = 'recursos';
$LNG['cs_users_per_block'] = 'Usuarios por bloque (min. 10)';
$LNG['cs_fleets_on_block'] = '¿Actualizar flotas en bloque?';
$LNG['cs_time_between_updates'] = 'Tiempo entre actualización de estadísticas';
$LNG['cs_minutes'] = 'minutos';
$LNG['cs_points_to_zero'] = '¿La administración puede figurar en el ranking?';
$LNG['cs_access_lvl'] = '¿Hasta que rango pueden figurar en el ranking?';
$LNG['cs_save_changes'] = 'Guardar cambios';
$LNG['cs_timeact_1'] = 'La última actualización se efectuó el: ';
$LNG['cs_yes'] = 'Si';
$LNG['cs_no'] = 'No';
$LNG['cs_no_view'] = 'Ocultar Administradores';
$LNG['cs_banner_time_between_updates'] = 'Intervalo de Tiempo para las actualizaciones del Banner de Estadísticas';
$LNG['cs_banner_title'] = 'Ajustes de los parámetros del Banner de Estadísticas';
//###########################################################//

//---------------	LISTA DE ERRORES - ERROR LIST - FEHLERLISTE	------------------------//
$LNG['er_errors'] = ' error/es';
$LNG['er_error_list'] = 'Lista de errores';
$LNG['er_dlte_all'] = 'Eliminar todos';
$LNG['er_type'] = 'Tipo';
$LNG['er_data'] = 'Fecha';
//###########################################################//

//---------------	LISTA DE MENSAJES - MESSAGES LIST	------------------------//
$LNG['ml_message_list'] = 'Lista de mensajes';
$LNG['ml_page'] = 'Página';
$LNG['ml_type'] = 'Tipo';
$LNG['ml_dlte_selection'] = 'Borrar selección';
$LNG['ml_dlte_since'] = 'Borrar desde';
$LNG['ml_dlte_since_button'] = 'Borrar desde';
$LNG['ml_date'] = 'Fecha';
$LNG['ml_from'] = 'De';
$LNG['ml_to'] = 'Para';
$LNG['ml_subject'] = 'Sujeto';
$LNG['ml_content'] = 'Contenido';
$LNG['ml_see_all_messages'] = 'Ver todos los mensajes';
//###########################################################//

//---------------	MENSAJE GLOBAL - GLOBAL MESSAGE - Globale Nachrichten	------------------------//
$LNG['ma_message_sended'] = '¡Su mensaje ha sido enviado!';
$LNG['ma_subject_needed'] = '¡Debes escribir un asunto!';
$LNG['ma_send_global_message'] = 'Mensaje global';
$LNG['ma_subject'] = 'Asunto';
$LNG['ma_characters'] = 'Caracteres disponibles';
$LNG['ma_none'] = 'Mensaje global';
$LNG['ma_message'] = 'Mensaje';
$LNG['ma_mode'] = 'Enviar como';
$LNG['ma_all'] = 'Todos';
$LNG['ma_modes'] = array('Mensaje Interno', 'Correo Electrónico', 'Mensaje interno e email');
//###########################################################//

//---------------	PÁGINA DE INICIO - OVERVIEW	------------------------//
$LNG['ow_title'] = 'Bienvenido a 2Moons';
$LNG['ow_donate'] = 'Donar';
$LNG['ow_welcome_text'] = 'Bienvenido al siempre popular 2Moons.  (:';
$LNG['ow_overview'] = 'Panel de Control';
$LNG['ow_support'] = 'Soporte';
$LNG['ow_credits'] = 'Créditos';
$LNG['ow_forum'] = 'Foro';
$LNG['ow_proyect_leader'] = 'Líder del Proyecto';
$LNG['ow_translator'] = 'Traductores';
$LNG['ow_special_thanks'] = 'Agradecimientos especiales';
$LNG['ow_file_detected'] = 'El archivo %s ha sido detectado. Por favor, renombrar o eliminar, a modo que proteger el juego.';
$LNG['ow_config_file_writable'] = 'El archivo config.php se puede escribir, es recomendable que sea colocado en chmod 440 (sólo lectura).';
$LNG['ow_database_errors'] = 'Hay errores en tu base de datos!';
$LNG['ow_smtp_errors'] = '¡Compruebe la configuración de SMTP! - Actualmente no se envían los correos!';
$LNG['ow_dir_not_writable'] = './%s no se puede escribir!';
$LNG['ow_none'] = 'No hay alertas';
$LNG['ow_news'] = 'Noticias';
$LNG['ow_updates'] = 'Ultimas modificaciones';

//###########################################################//

//---------------	CONFIGURACIÓN DEL JUEGO - GAME CONFIG	------------------------//
$LNG['se_server_parameters'] = 'Parámetros del servidor';
$LNG['se_game_name'] = 'Nombre (Juego)';
$LNG['se_uni_name'] = 'Nombre (Universo)';
$LNG['se_lang'] = 'Idioma';
$LNG['se_general_speed'] = 'Velocidad general';
$LNG['se_normal_speed'] = 'Velocidad normal del juego: 1<br>Velocidad máxima recomendada: 20';
$LNG['se_normal_speed_resoruces'] = 'Velocidad normal de producción: 1<br>Velocidad máxima recomendada: 20';
$LNG['se_normal_speed_fleet'] = 'Velocidad normal de las flotas: 1<br>Velocidad máxima recomendada: 20';
$LNG['se_normal_speed_halt'] = 'Velocidad normal de estacionamiento: 1 <br> Velocidad máxima recomendada: 20';
$LNG['se_fleet_speed'] = 'Velocidad de las flotas';
$LNG['se_resources_producion_speed'] = 'Velocidad de producción';
$LNG['se_halt_speed'] = 'Velocidad de Estacionamiento';
$LNG['se_forum_link'] = 'Enlace del foro';
$LNG['se_server_op_close'] = '¿Servidor en linea?';
$LNG['se_server_status_message'] = 'Mensaje del estado fuera de Linea';
$LNG['se_server_planet_parameters'] = 'Parámetros de los planetas nuevos';
$LNG['se_initial_fields'] = 'Campos iniciales';
$LNG['se_fields'] = 'campos';
$LNG['se_per_hour'] = 'por hora';
$LNG['se_metal_production'] = 'Producción de metal';
$LNG['se_crystal_production'] = 'Producción de cristal';
$LNG['se_deuterium_production'] = 'Producción de deuterio';
$LNG['se_several_parameters'] = 'Ajustes de Parámetros Varios';
$LNG['se_title_admins_protection'] = 'Marcá la casilla para activar la protección y evitar que los administradores y moderadores reciban ataques o cualquier otro tipo de acción de las flotas.';
$LNG['se_admin_protection'] = 'Protección';
$LNG['se_debug_mode'] = 'Modo debug';
$LNG['se_save_parameters'] = 'Guardar parámetros';
$LNG['se_configuration_title'] = 'Configuración';
$LNG['se_server_naame'] = 'Nombre de tu servidor';
$LNG['se_cookie_name'] = 'Nombre de la cookie';
$LNG['se_cookie_advert'] = 'Si cambia el nombre de la cookie todos los jugadores deben iniciar sesión de nuevo. <br> Sólo se utiliza para múltiples universos. <br> El  nombre de la Cookies no puede contener espacios en blanco!';
$LNG['se_debug_message'] = 'Si el modo de depuración está activado se registran todos los comandos SQL. Los administradores pueden observar en una barra, el número de consultas SQL y tiempo de ejecución de secuencias de comandos.';
$LNG['se_def_cdr'] = 'Defensas a escombros';
$LNG['se_ships_cdr'] = 'Naves a escombros';
$LNG['se_def_cdr_message'] = 'Establece el porcentaje de escombros que generarian las defensas después de un ataque';
$LNG['se_ships_cdr_message'] = 'Establece el porcentaje de escombros que generarian las naves después de un ataque';
$LNG['se_noob_protect'] = 'Protección novatos';
$LNG['se_noob_protect2'] = 'Protección N. puntos';
$LNG['se_noob_protect3'] = 'Protección N. puntos limite';
$LNG['se_noob_protect_e2'] = 'Límite de puntos en el que dejas de ser novato';
$LNG['se_noob_protect_e3'] = 'Click para más información';
$LNG['se_recaptcha_whats'] = '¿Qué es reCAPTCHA?';
$LNG['se_recaptcha_head'] = 'reCAPTCHA - Ajustes';
$LNG['se_recaptcha_desc'] = 'reCAPTCHA es un servicio de CAPTCHA gratuíto, que te ayudará a evitar y bloquear Spam-Bots .<br />Para poder utilizar este servicio, es necesario registrarse en reCAPTCHA.net.';
$LNG['se_recaptcha_public'] = 'Clave pública (Public Key):';
$LNG['se_recaptcha_private'] = 'Clave privada (Private Key):';
$LNG['se_recaptcha_active'] = 'Activar reCAPTCHA';
$LNG['se_reg_closed'] = 'Bloquear registro';
$LNG['se_min_build_time'] = 'Tiempo Mínimo de Construcción';
$LNG['se_min_build_time_info'] = 'Aquí se ajusta el tiempo mínimo de construcción de Edificios, Investigaciones, Naves y Defensas. El valor por defecto es 1 segundo.<br>Para desactivarlo insertar el valor 0<br><font color=orange>¡Advertencia: Desactivar esta función puede generar errores!</font>';
$LNG['se_trader_head'] = 'Ajustes de Chatarrero';
$LNG['se_trader_ships'] = 'naves autorizadas:';
$LNG['se_trader_charge'] = 'Tarifa de Mercader:';
$LNG['se_news_head'] = 'Ajustes de Noticias';
$LNG['se_news_active'] = 'Activar Noticias';
$LNG['se_news_limit'] = '¡Máximo de 255 caracteres!';
$LNG['se_news_info'] = 'Si está desactivado, las noticias no serán mostradas en la visión general.';
$LNG['se_news'] = 'Noticias';
$LNG['se_verfiy_mail'] = 'Verificación de Correo Electrónico';
$LNG['se_verfiy_mail_info'] = 'Si esta opción está activada, los usuarios tienen que activar la cuenta a través de un correo electrónico.<br> Nota: Para que funcione es necesario que configures tu servidor SMTP en las opciones a continuación';
$LNG['se_smtp'] = 'Ajustes de SMTP';
$LNG['se_smtp_info'] = 'Ingresa tu configuración de servidor de SMTP aquí. Esto permitirá a 2Monns comunicarse con los jugadores a través de SMTP.';
$LNG['se_mail_active'] = 'Activar Correo';
$LNG['se_mail_use'] = 'Modo de entrega:';
$LNG['se_mail_sel'][0] = 'Función PHP mail()';
$LNG['se_mail_sel'][1] = 'Sendmail / Qmail';
$LNG['se_mail_sel'][2] = 'SMTP Auth';
$LNG['se_smail_path'] = 'Ruta a Sendmail / Qmail';
$LNG['se_smtp_host'] = 'Mail versand:';
$LNG['se_smtp_host'] = 'Host SMTP:';
$LNG['se_smtp_host_info'] = 'Escribe tu dirección de servidor SMTP.';
$LNG['se_smtp_ssl'] = 'Ajustes de seguridad SSL/TLS en el SMTP:';
$LNG['se_smtp_ssl_1'] = 'Sin seguridad';
$LNG['se_smtp_ssl_2'] = 'SSL';
$LNG['se_smtp_ssl_3'] = 'TLS';
$LNG['se_smtp_ssl_info'] = 'Aquí se selecciona si es necesaria una conexión segura entre el servidor SMTP y el servidor web. Es requerida en raras ocasiones';
$LNG['se_smtp_port'] = 'Puerto SMTP:';
$LNG['se_smtp_port_info'] = 'Escribe el puerto del servidor SMTP aquí.<br>Estandart: 25';
$LNG['se_smtp_user'] = 'Nombre de usuario SMTP:';
$LNG['se_smtp_pass'] = 'Contraseña SMTP:';
$LNG['se_smtp_sendmail'] = 'Dirección del Remitente:';
$LNG['se_smtp_sendmail_info'] = 'Dirección de Correo de Retorno. No es necesario que sea la misma dirección que el remitente';
$LNG['se_ftp'] = 'Configuración de FTP';
$LNG['se_ftp_info'] = 'El programa 2Moons tiene la capacidad de actualizar directamente desde el servidor 2Moon Software Support a través de FTP. Para aprovechar esta característica, es necesario configurar una cuenta FTP en tu servidor y rellenar la información requerida a continuación. Esto NO creará un problema de seguridad en tu servidor, ya que el Software 2Moons requiere esta información para realizar la transferencia física a tu servidor';
$LNG['se_ftp_host'] = 'Host FTP:';
$LNG['se_ftp_user'] = 'usuario FTP:';
$LNG['se_ftp_pass'] = 'Contraseña FTP:';
$LNG['se_ftp_dir'] = 'Ruta FTP:';
$LNG['se_ftp_dir_info'] = 'ingresa la ruta a tu directorio raíz del servidor FTP aquí. Es obligatorio que la ruta inicie con una barra (/)!<br>Ejemplo: /httpdocs';
$LNG['se_google'] = 'Configuración de Google Analytics';
$LNG['se_google_info'] = 'Google Analytics es una solución de analítica web para empresas que proporciona información muy valiosa sobre el tráfico del sitio web y la eficacia del plan de marketing. Ahora, gracias a unas funciones potentes, flexibles y fáciles de usar, podrá ver y analizar el tráfico desde una perspectiva totalmente distinta. Google Analytics le ayudará a diseñar anuncios más orientados, a mejorar sus iniciativas de marketing y a crear sitios web que generen más conversiones..';
$LNG['se_google_active'] = '¿Activar Google Analytics?';
$LNG['se_google_key'] = 'Llave de Google Analytics';
$LNG['se_google_key_info'] = 'Clave de Identificación de su sitio web para el seguimiento de Google Analytics. Siempre inicia con UA, Ej.: UA-13185300-3';
$LNG['se_ttf_file'] = 'Ruta al archivo de la fuente (TFF)';
$LNG['se_ttf_file_info'] = 'El archivo TFF es necesario para mostrar correctamente los caracteres cirílicos o chinos en el Banner de estadísticas';
$LNG['se_max_galaxy'] = 'Máx. Galaxias';
$LNG['se_max_galaxy_info'] = 'Cantidad Máxima de Galaxias en el Universo';
$LNG['se_max_system'] = 'Máx. Sistemas';
$LNG['se_max_system_info'] = 'Cantidad Máxima de Sistemas Solares en una Galaxia';
$LNG['se_max_planets'] = 'Max. Planetas';
$LNG['se_max_planets_info'] = 'Cantidad Máxima de Planetas en un Sistema';
$LNG['se_min_player_planets'] = 'Mín. Planetas / Jugador';
$LNG['se_max_player_planets_info'] = 'Número máximo de Colonias sin Investigación';
$LNG['se_max_player_planets'] = 'Máx. Planetas / Jugador';
$LNG['se_min_player_planets_info'] = 'Número máximo de Colonias con Investigación';
$LNG['se_planet_factor'] = 'Multiplicador de planeta.';
$LNG['se_planet_factor_info'] = 'Multiplicador de Tamaño de Planeta';
$LNG['se_max_elements_build'] = 'Máx. Contratos (Edificios)';
$LNG['se_max_elements_build_info'] = 'Cantidad Máxima de Edificios en cola de construcción';
$LNG['se_max_elements_tech'] = 'Máx. Contratos (Investigación)';
$LNG['se_max_elements_tech_info'] = 'Cantidad Máxima de investigaciones en cola de Investigación';
$LNG['se_max_elements_ships'] = 'Máx. Ordenes (Naves)';
$LNG['se_max_elements_ships_info'] = 'Cantidad Máxima de naves en cola del Hangar';
$LNG['se_max_fleet_per_build'] = 'Máx. Flotas / Misiones';
$LNG['se_max_fleet_per_build_info'] = 'Cantidad Máxima de naves por orden en el Hangar';
$LNG['se_max_overflow'] = 'Desborde de Almacenes';
$LNG['se_max_overflow_info'] = 'Factor, cantidad de recursos que pueden producirse con Almacenes llenos';
$LNG['se_moon_factor'] = 'Probabilidad de Luna';
$LNG['se_moon_factor_info'] = 'Factor que aumenta o reduce la probabilidad de la formación de una Luna';
$LNG['se_moon_chance'] = 'Máx. probabilidad de Luna';
$LNG['se_moon_chance_info'] = 'Probabilidad máxima de que se forme una Luna';
$LNG['se_darkmatter_cost_trader'] = 'Costos de Mercader';
$LNG['se_darkmatter_cost_trader_info'] = 'Cargos en materia oscura por las operaciones del Mercader';
$LNG['se_factor_university'] = 'Factor de Universidad ';
$LNG['se_factor_university_info'] = 'Indica, en cuanto porcentaje reduce la universidad, el tiempo de investigación';
$LNG['se_max_fleets_per_acs'] = 'Máx Flota / CAS';
$LNG['se_max_fleets_per_acs_info'] = 'Cantidad Máxima de Flotas en un ataque combinado (CAS)';
$LNG['se_vmode_min_time'] = 'Mín. Período Modo Vacaciones';
$LNG['se_vmode_min_time_info'] = 'Especifica la duración minima que un usuario debe estar en modo vacaciones. (En Segundos)';
$LNG['se_gate_wait_time'] = 'Recarga Salto Cuántico';
$LNG['se_gate_wait_time_info'] = 'Indica el tiempo para el reuso del Salto Cuántico (en segundos)';
$LNG['se_metal_start'] = 'Metal Inicial';
$LNG['se_metal_start_info'] = 'Especifíca la cantidad de Metal presente en un nuevo Planeta.';
$LNG['se_crystal_start'] = 'Cristal Inicial';
$LNG['se_crystal_start_info'] = 'Especifíca la cantidad de Cristal presente en un nuevo Planeta.';
$LNG['se_deuterium_start'] = 'Deuterio Inicial';
$LNG['se_deuterium_start_info'] = 'Especifíca la cantidad de Deuterio presente en un nuevo Planeta.';
$LNG['se_darkmatter_start'] = 'Materia Oscura Inicial';
$LNG['se_darkmatter_start_info'] = 'Especifíca la cantidad de Materia Oscura presente en un nuevo Usuario.';
$LNG['se_debris_moon'] = 'Eliminar Campo de Escombros';
$LNG['se_debris_moon_info'] = 'Elimina los Escombros una vez que se creo la Luna.';
$LNG['se_deuterium_cost_galaxy'] = 'Costo de Visión galaxia';
$LNG['se_deuterium_cost_galaxy_info'] = 'Costo en Deuterio / Vista de Galaxia';
$LNG['se_buildlist'] = 'Ajustes de Edificios';
$LNG['se_player_settings'] = 'Ajustes del Jugador';
$LNG['se_days'] = 'Días';
$LNG['se_del_oldstuff'] = 'Borrar Mensajes luego ';
$LNG['se_del_oldstuff_info'] = 'Elimina Mensajes y Reportes de Combate luego de X Días.';
$LNG['se_del_user_manually'] = 'Eliminar Jugadores luego de ';
$LNG['se_del_user_manually_info'] = 'Elimina Jugadores que tienen activo eliminar cuenta luego de X Días.';
$LNG['se_del_user_automatic'] = 'Eliminar Inactivos luego de ';
$LNG['se_del_user_automatic_info'] = 'Elimina los jugadores que no han ingresado luego de X días';
$LNG['se_del_user_sendmail'] = 'Enviar Recordatorio';
$LNG['se_del_user_sendmail_info'] = 'Envia recordatorios a los usuarios que no se han logeado en X días';
$LNG['se_sendmail_inactive'] = 'Activar Alertas por Correo Electrónico';
$LNG['se_ref'] = 'Enlace de Referido';
$LNG['se_ref_active'] = 'Activar Enlace de Referido';
$LNG['se_ref_active_info'] = 'El enlace de Referido le da al usuario la posibilidad de invitar amigos. Por los referidos el usuario obtendrá un bono';
$LNG['se_ref_bonus'] = 'Bono de Referido';
$LNG['se_ref_bonus_info'] = 'Cantidad de Materia oscura que recibe el usuario por jugador reclutado';
$LNG['se_ref_minpoints'] = 'Puntos Mín. para Bonus';
$LNG['se_ref_minpoints_info'] = 'El jugador reclutado debe alcanzar un mínimo de puntos para que se bonifique al Usuario';
$LNG['se_ref_max_referals'] = 'Referidos Máximos';
$LNG['se_ref_max_referals_info'] = 'Máximos jugadores que puede Reclutar un usuario';
$LNG['se_silo_factor'] = 'Factor del Silo de Misiles';
$LNG['se_silo_factor_info'] = 'Factor de Tamaño para el Silo';
$LNG['se_timzone'] = 'Husos horarios de la Unis';
$LNG['se_dst_mode'] = 'Verano?';
$LNG['se_dst_sel'][0] = 'No';
$LNG['se_dst_sel'][1] = 'Sí';
$LNG['se_dst_sel'][2] = 'Automático';

//###########################################################//

//---------------	MODERACIÓN - MODERATION	------------------------//
//	PERMISOS - PERMISSIONS
$LNG['mod_title'] = 'Administrar Permisos';
$LNG['mod_range'] = 'Rango';
$LNG['mod_power_view'] = 'Permiso de observación';
$LNG['mod_power_edit'] = 'Permiso de editar';
$LNG['mod_power_config'] = 'Permiso de configurar el juego';
$LNG['mod_power_tools'] = 'Permiso de manipular herramientas';
$LNG['mod_power_loog'] = 'Sus movimientos dentro del panel seran grabados en el historial';

//	NIVELES DE AUTORIDAD - AUTHLEVELS
$LNG['ad_authlevel_title'] = 'Rangos';
$LNG['ad_authlevel_name'] = 'Nombre';
$LNG['ad_authlevel_auth'] = 'Rango';
$LNG['ad_authlevel_succes'] = 'Rango modificado con éxito';
$LNG['ad_authlevel_error'] = '¡El usuario ya tiene ese rango!';
$LNG['ad_authlevel_error_2'] = '¡Ingresa solo un usuario!';
$LNG['ad_authlevel_error_3'] = '¡No se le puede cambiar el rango al creador del juego!';
$LNG['ad_authlevel_insert_id'] = 'Ingresar ID manualmente (Opcional)';
$LNG['ad_authlevel_aa'] = '[Ver Administradores]';
$LNG['ad_authlevel_oo'] = '[Ver Operadores]';
$LNG['ad_authlevel_mm'] = '[Ver Moderadores]';
$LNG['ad_authlevel_jj'] = '[Ver Jugadores]';
$LNG['ad_authlevel_tt'] = '[Ver Todos]';
//###########################################################//

//---------------	FLOTAS EN VUELO - FLYING FLEETS	------------------------//
$LNG['ff_flying_fleets'] = 'Flotas en Vuelo';
$LNG['ff_ammount'] = 'Cantidad';
$LNG['ff_mission'] = 'Tipo Mision';
$LNG['ff_beginning'] = 'Jugador';
$LNG['ff_id'] = 'ID';
$LNG['ff_departure'] = 'Origen';
$LNG['ff_departure_hour'] = 'Hora de Salida';
$LNG['ff_objective'] = 'Objetivo';
$LNG['ff_arrival'] = 'Destino';
$LNG['ff_hold_position'] = 'Mantener Posición';
$LNG['ff_arrival_hour'] = 'Hora de Llegada';
$LNG['ff_go_back_now'] = 'Atras';
$LNG['ff_delete_succes'] = 'Vuelo eliminado correctamente';
$LNG['ff_goback_succes'] = 'El vuelo regresa al planeta origen';
$LNG['ff_lock'] = 'Bloquear';
$LNG['ff_unlock'] = 'Desbloquear';
$LNG['ff_no_fleets'] = 'No hay flotas en vuelo';

//###########################################################//

//---------------	ACTUALIZACIÓN DE ESTADISTICAS - UPDATE STATS	------------------------//
$LNG['sb_top_memory'] = 'Memoria: %p KB / max. %m KB <br>';
$LNG['sb_final_memory'] = 'Memoria consumida al final: %e KB / max. %m KB<br>';
$LNG['sb_start_memory'] = 'Memoria consumida al inicio: %i KB / max. %m KB<br>';
$LNG['sb_stats_update'] = '<br>';
$LNG['sb_stats_updated'] = 'Estadísticas Actualizadas con éxito:<br>';
$LNG['sb_sql_counts'] = 'Querys SQL: %d';
//###########################################################//

//---------------	LISTA DE USUARIOS - USERS LIST	------------------------//
$LNG['ul_sure_you_want_dlte'] = '¿Estás seguro que deseas eliminar ';
//###########################################################//

//---------------	MENU	------------------------//
$LNG['mu_general'] = 'General';
$LNG['mu_connected'] = 'Conectados';
$LNG['mu_settings'] = 'Configuración';
$LNG['mu_unisettings'] = 'Conf. de Universo';
$LNG['mu_chat'] = 'Conf. Chat';
$LNG['mu_global_message'] = 'Mensaje Global';
$LNG['mu_users_settings'] = 'Conf. de Usuarios';
$LNG['mu_add_delete_resources'] = 'Editor de Cuentas';
$LNG['mu_stats_options'] = 'Opciones de Estadísticas';
$LNG['mu_manage_users'] = 'Administrar usuarios';
$LNG['mu_ban_options'] = 'Panel de Sanciones';
$LNG['mu_moon_options'] = 'Gestión de Lunas';
$LNG['mu_observation'] = 'Observación';
$LNG['mu_flying_fleets'] = 'Flotas en Vuelo';
$LNG['mu_user_list'] = 'Lista de Usuarios';
$LNG['mu_moon_list'] = 'Lista de Lunas';
$LNG['mu_mess_list'] = 'Lista de Mensajes';
$LNG['mu_planet_list'] = 'Lista de Planetas';
$LNG['mu_error_list'] = 'Log de Errores';
$LNG['mu_active_planets'] = 'Planetas Activos';
$LNG['mu_tools'] = 'Herramientas';
$LNG['mu_md5_encripter'] = 'Encriptador MD5';
$LNG['mu_optimize_db'] = 'Base de Datos';
$LNG['mu_manual_points_update'] = 'Actualizar Puntos Manualmente';
$LNG['mu_mpu_confirmation'] = 'El update de puntos es automático, de todas formas puedes realizarlo manualmente si lo deseas haciendo click aqui ¿Deseas continuar?';
$LNG['mu_search_page'] = 'Busqueda Avanzada';
$LNG['mu_info_account_page'] = 'Información de Cuenta';
$LNG['mu_planets_options'] = 'Opciones de Planetas';
$LNG['mu_user_logs'] = 'Log';
$LNG['mu_support'] = 'Tickets de Soporte';
$LNG['mu_module'] = 'Módulos';
$LNG['mu_update'] = 'Actualizaciones';
$LNG['mu_mod_update'] = 'Contrlo de Ver. de Módulos';
$LNG['mu_fb_options'] = 'Facebook Connect';
$LNG['mu_ts_options'] = 'Opciones de TeamSpeak';
$LNG['mu_game_info'] = 'Información';
$LNG['mu_vaild_users'] = 'Actividad de Usuarios';
$LNG['mu_news'] = 'Noticias';
$LNG['mu_clear_cache'] = 'Limpiar Cache';
$LNG['mu_multiip_page'] = 'MultiIP';
$LNG['mu_vertify'] = 'Verificar el contenido del juego';
$LNG['mu_logs'] = 'Admin-Log';

$LNG['vt_error'] = 'Hashfile no está disponible! - Realizar una actualización';
$LNG['vt_fail'] = 'Los archivos modificados';
$LNG['vt_info'] = 'Esta lista contiene los archivos que han sido modificados y no coincidir con el original.<br> Si usted no ha cambiado el juego en sí se debe reemplazar los archivos con los originales';

//###########################################################//

$LNG['cc_cache_clear'] = 'Cache limpiado correctamente';

//---------------	REINICIO DE UNIVERSO - RESET UNIVERSE	------------------------//
$LNG['re_reset_universe'] = 'Reiniciar Universo';
$LNG['re_reset_universe_confirmation'] = 'Al pulsar OK, Reiniciaras el universo a sus valores por defecto. ESTA OPERACIÓN NO ES REVERSIBLE! es tu responsabilidad de hacer una copia de seguridad de la base de datos.<br> Si *reinicias* las cuentas de usuario no se eliminarán.';
$LNG['re_player_and_planets'] = 'Jugadores y Planetas';
$LNG['re_reset_player'] = 'Reiniciar Jugadores (eliminar todos)';
$LNG['re_reset_planets'] = 'Reiniciar Planetas (eliminar colonias)';
$LNG['re_reset_moons'] = 'Reiniciar Lunas';
$LNG['re_defenses_and_ships'] = 'Hangar y Defensas';
$LNG['re_defenses'] = 'Reiniciar defensas';
$LNG['re_ships'] = 'Reiniciar naves';
$LNG['re_reset_hangar'] = 'Reiniciar colas en hangares y defensas';
$LNG['re_buldings'] = 'Edificios';
$LNG['re_buildings_pl'] = 'Reiniciar edificios en planetas';
$LNG['re_buildings_lu'] = 'Reiniciar edificios en lunas';
$LNG['re_reset_buldings'] = 'Reiniciar cola de edificios';
$LNG['re_inve_ofis'] = 'Investigaciones y oficiales';
$LNG['re_ofici'] = 'Reiniciar oficiales';
$LNG['re_investigations'] = 'Reiniciar investigaciones';
$LNG['re_reset_invest'] = 'Reiniciar cola de investigaciones';
$LNG['re_resources'] = 'Recursos';
$LNG['re_resources_dark'] = 'Reiniciar materia oscura';
$LNG['re_resources_met_cry'] = 'Reiniciar metal, cristal y deuterio';
$LNG['re_general'] = 'General';
$LNG['re_reset_notes'] = 'Reiniciar notas';
$LNG['re_reset_rw'] = 'Reiniciar reportes de batallas';
$LNG['re_reset_buddies'] = 'Reiniciar lista de amigos';
$LNG['re_reset_allys'] = 'Reiniciar alianzas';
$LNG['re_reset_fleets'] = 'Reiniciar flotas';
$LNG['re_reset_errors'] = 'Reiniciar lista de errores';
$LNG['re_reset_banned'] = 'Reiniciar baneados';
$LNG['re_reset_messages'] = 'Reiniciar mensajes';
$LNG['re_reset_statpoints'] = 'Reiniciar estadisticas';
$LNG['re_reset_all'] = 'Reiniciar TODO el universo';
$LNG['re_reset_excess'] = 'Universo reiniciado de nuevo.';
//###########################################################//

//---------------	INFORMACIÓN DE CUENTAS - DATA ACCOUNTS	------------------------//
$LNG['ac_user_id_required'] = '¡Debes seleccionar algun usuario!';
$LNG['ac_select_one_id'] = '¡Por favor, elegí solo un usuario!';
$LNG['ac_no_character'] = '¡No se aceptan letras, solo numeros!';
$LNG['ac_select_id_num'] = 'Escribir el ID manualmente (Opcional)';
$LNG['ac_select_username'] = 'Seleccionar usuario';
$LNG['ac_username_doesnt'] = '¡No existe ese usuario!';
$LNG['ac_title'] = 'Información detallada de cuentas';
$LNG['ac_title_entry'] = 'Información detallada de ';
$LNG['ac_more'] = '(Más)';
$LNG['ac_no_ally'] = 'No tiene alianza';
$LNG['ac_moon'] = 'Luna';
$LNG['ac_enter_user_id'] = 'Seleccionar usuario';
$LNG['ac_minimize_maximize'] = 'Minimizar/Maximizar';
$LNG['ac_account_data'] = 'Datos de la cuenta';
$LNG['ac_name'] = 'Nombre';
$LNG['ac_checkip_title'] = 'Comprobación de IP';
$LNG['ac_checkip'][1] = '<font color=aqua>Activado</font>';
$LNG['ac_checkip'][0] = '<font color=#FF6600>Desactivado</font>';
$LNG['ac_mail'] = 'Email';
$LNG['ac_perm_mail'] = 'Email Permanente';
$LNG['ac_auth_level'] = 'Rango';
$LNG['ac_on_vacation'] = '¿En vacaciones?';
$LNG['ac_banned'] = '¿Suspendido?';
$LNG['ac_alliance'] = 'Alianza';
$LNG['ac_reg_ip'] = 'IP del Registro';
$LNG['ac_last_ip'] = 'Ultimo IP';
$LNG['ac_home_planet_id'] = 'ID Planeta Principal';
$LNG['ac_home_planet_coord'] = 'Coordenadas del P. Principal';
$LNG['ac_user_system'] = 'Sistema del Usuario';
$LNG['ac_detailed_planet_moon_info'] = 'Informacion detallada de planetas y lunas';
$LNG['ac_id_names_coords'] = 'ID, Nombres y Coordenadas';
$LNG['ac_coords'] = 'Coordenada';
$LNG['ac_diameter'] = 'Diámetro';
$LNG['ac_fields'] = 'Campos';
$LNG['ac_temperature'] = 'Temp.';
$LNG['ac_officier_research'] = 'Investigaciones y Oficiales';
$LNG['ac_recent_destroyed_planets'] = 'Planetas destruidos recientemente';
$LNG['ac_no_moons'] = 'El jugador no tiene lunas';
$LNG['ac_total_points'] = 'Total: ';
$LNG['ac_points_count'] = 'Puntaje | Conteo';
$LNG['ac_ranking'] = 'Ranking';
$LNG['ac_see_ranking'] = 'Ver estadisticas';
$LNG['ac_ally_ranking'] = 'Estadisticas de la alianza';
$LNG['ac_user_ranking'] = 'Estadisticas del usuario';
$LNG['ac_register_time'] = 'Fecha de registro';
$LNG['ac_register_ally_time'] = 'Fecha de creado';
$LNG['ac_act_time'] = 'Fecha de la ultima actividad';
$LNG['ac_info_ally'] = 'Información de la alianza ';
$LNG['ac_leader'] = 'Lider';
$LNG['ac_tag'] = 'TAG';
$LNG['ac_name_ali'] = 'Nombre completo';
$LNG['ac_ext_text'] = 'Texto externo';
$LNG['ac_int_text'] = 'Texto interno';
$LNG['ac_sol_text'] = 'Texto de solicitud';
$LNG['ac_image'] = 'Logo de la Alianza';
$LNG['ac_ally_web'] = 'Web de la Alianza';
$LNG['ac_total_members'] = 'Cantidad de miembros';
$LNG['ac_no_text_ext'] = 'La alianza no tiene texto externo';
$LNG['ac_no_text_int'] = 'La alianza no tiene texto interno';
$LNG['ac_no_text_sol'] = 'La alianza no tiene texto de solicitud';
$LNG['ac_no_img'] = 'La alianza no tiene logo';
$LNG['ac_no_web'] = 'La alianza no tiene página web';
$LNG['ac_view_image'] = 'Ver imagen en otra ventana';
$LNG['ac_view_image2'] = 'Ver imagen';
$LNG['ac_view_text_ext'] = 'Ver texto externo';
$LNG['ac_view_text_int'] = 'Ver texto interno';
$LNG['ac_view_text_sol'] = 'Ver texto de solicitud';
$LNG['ac_moons_no'] = '<font color=red>(No tiene lunas)</font>';
$LNG['ac_urlnow'] = 'URL: ';
$LNG['ac_time_destruyed'] = 'Fecha de destrucción total';
$LNG['ac_isnodestruyed'] = '<font color=red>(No hay planetas destruidos recientemente)</font>';
$LNG['ac_no_alliance'] = '<font color=red>(No tiene alianza)</font>';
$LNG['ac_ali_text_11'] = 'Texto externo';
$LNG['ac_ali_text_22'] = 'Texto interno';
$LNG['ac_ali_text_33'] = 'Texto de solicitud';
$LNG['ac_ali_logo_11'] = 'Logo de la alianza';
$LNG['ac_ali_idid'] = 'ID:';
$LNG['ac_suspended_title'] = 'Visor de suspensión';
$LNG['ac_suspended_time'] = 'Suspendido el';
$LNG['ac_suspended_longer'] = 'Hasta el';
$LNG['ac_suspended_reason'] = 'Razón';
$LNG['ac_suspended_autor'] = 'Suspendido por';
$LNG['ac_note_k'] = '<table><tr><th width=10%><font color=lime>T+</font></th><th>Supera el trillón</th></tr><tr><th width=10%><font color=lime>T</font></th><th>Igual que el trillón</th></tr><tr><th width=10%><font color=lime>B</font></th><th>Mayor o igual que el billón</th></tr><tr><th width=10%><font color=lime>M</font></th><th>Mayor o igual que el millón</th></tr><tr><th width=10%><font color=lime>K</font></th><th>Mayor o igual que los mil</th></tr></table>';
$LNG['ac_leyend'] = '[ Leyenda ]';
$LNG['ac_no_rank_level'] = 'No tienes los permisos suficientes para ver la información de éste usuario.';
//###########################################################//

//---------------	BUSCADOR AVANZADO - ADVANCED SEARCH	------------------------//
$LNG['se_no_data'] = "No hay datos";
$LNG['se_intro'] = 'Palabra o letra clave';
$LNG['se_users'] = 'Usuarios';
$LNG['se_planets'] = 'Planetas';
$LNG['se_moons'] = 'Lunas';
$LNG['se_allys'] = 'Alianzas';
$LNG['se_suspended'] = 'Suspendidos';
$LNG['se_vacations'] = 'Vacaciones';
$LNG['se_authlevels'] = 'Administradores';
$LNG['se_inactives'] = 'Inactivos';
$LNG['se_planets_act'] = 'Planetas activos';
$LNG['se_type_typee'] = 'Tipo';
$LNG['se_type_all'] = 'Busqueda normal';
$LNG['se_type_exact'] = 'Busqueda exacta';
$LNG['se_type_last'] = 'Que empieze con X palabra/letra';
$LNG['se_type_first'] = 'Que termine con X palabra/letra';
$LNG['se_search'] = 'Buscar';
$LNG['se_name'] = 'Nombre';
$LNG['se_id_owner'] = 'ID del propietario';
$LNG['se_galaxy'] = 'Galaxia';
$LNG['se_system'] = 'Sistema';
$LNG['se_planet'] = 'Planeta';
$LNG['se_tag'] = 'TAG';
$LNG['se_email'] = 'Correo electrónico';
$LNG['se_auth'] = 'Rango';
$LNG['se_activity'] = 'Ultima actividad';
$LNG['se_ban'] = 'Suspendido';
$LNG['se_vacat'] = 'Vacaciones';
$LNG['se_ban_reason'] = 'Razón';
$LNG['se_ban_time'] = 'Suspendido el';
$LNG['se_ban_limit'] = 'Hasta el';
$LNG['se_ban_author'] = 'Suspendido por';
$LNG['se_search_title'] = 'Buscador avanzado';
$LNG['se_order_list_now'] = 'Ordenar búsqueda';
$LNG['se_input_name'] = 'Nombre';
$LNG['se_input_g'] = 'Galaxia';
$LNG['se_input_s'] = 'Sistema';
$LNG['se_input_p'] = 'Planeta';
$LNG['se_input_inacti'] = 'Inactividad';
$LNG['se_input_submit'] = 'Ordenar';
$LNG['se_input_authlevel'] = 'Autoridad';
$LNG['se_input_email'] = 'E-Mail';
$LNG['se_input_time'] = 'Tiempo';
$LNG['se_input_longer'] = 'Duración';
$LNG['se_input_authlevel'] = 'Autoridad';
$LNG['se_input_prop'] = 'Propietario';
$LNG['se_input_asc'] = 'Ascendiente';
$LNG['se_input_desc'] = 'Descendiente';
$LNG['se_input_activity'] = 'Actividad';
$LNG['se_input_register'] = 'Registro';
$LNG['se_input_members'] = 'Nº Miembros';
$LNG['se_input_members2'] = 'Miembros';
$LNG['se_input_have_moon'] = '¿Tiene luna?';
$LNG['se_input_ip'] = 'IP';
$LNG['se_input_a'] = 'A';
$LNG['se_input_d'] = 'D';
$LNG['se_input_hay'] = 'Hay ';
$LNG['se_input_inact'] = ' inactivo/s';
$LNG['se_input_susss'] = ' suspendido/s';
$LNG['se_input_admm'] = ' administrador/es';
$LNG['se_input_allyy'] = ' alianza/s';
$LNG['se_input_planett'] = ' planeta/s';
$LNG['se_input_moonn'] = ' luna/s';
$LNG['se_input_userss'] = ' usuario/s';
$LNG['se_input_vacatii'] = ' usuario/s en vacaciones';
$LNG['se_input_connect'] = ' usuario/s conectados';
$LNG['se_input_act_pla'] = ' planeta/s activos';
$LNG['se_filter_title'] = 'Filtro';
$LNG['se_search_in'] = 'Por';
$LNG['online_users'] = 'Conectados';
$LNG['se_limit'] = 'Límite';
$LNG['se_pagees'] = 'Páginas';
$LNG['se_time_of_page'] = 'Página creada en ';
$LNG['se_expand'] = 'Expander';
$LNG['se_contrac'] = 'Contraer';
$LNG['se__next'] = 'Siguiente';
$LNG['se__before'] = 'Anterior';
$LNG['se_search_info'] = 'Buscar';
$LNG['se_asc_desc'] = 'ASC / DESC';
$LNG['se_search_order'] = 'Orden';
$LNG['se_search_edit'] = 'Editar';
$LNG['se_delete_succes_p'] = 'Borrado con éxito';
$LNG['se_confirm_planet'] = 'El planeta seleccionado sera borrado completamente, ya sea planeta principal o una colonia, ¿deseas continuar?. Nombre del planeta: ';

$SE_ID = "ID";
$SE_NAME = "Nombre";

// BÚSQUEDA EN TABLA DE USUARIOS
$LNG['se_search_users'][0] = $SE_ID;
$LNG['se_search_users'][1] = $SE_NAME;
$LNG['se_search_users'][2] = 'Correo electrónico';
$LNG['se_search_users'][3] = 'Última actividad';
$LNG['se_search_users'][4] = 'Fecha de registro';
$LNG['se_search_users'][5] = 'Última IP';
$LNG['se_search_users'][6] = 'Autoridad';
$LNG['se_search_users'][7] = '¿Suspendido?';
$LNG['se_search_users'][8] = '¿Vacaciones?';

// BÚSQUEDA EN TABLA DE PLANETAS
$LNG['se_search_planets'][0] = $SE_ID;
$LNG['se_search_planets'][1] = $SE_NAME;
$LNG['se_search_planets'][2] = "Propietario";
$LNG['se_search_planets'][3] = "Última actividad";
$LNG['se_search_planets'][4] = "Galaxia";
$LNG['se_search_planets'][5] = "Sistema";
$LNG['se_search_planets'][6] = "Planeta";
$LNG['se_search_planets'][7] = "Luna";

// BÚSQUEDA EN TABLA DE SUSPENDIDOS
$LNG['se_search_banned'][0] = $SE_ID;
$LNG['se_search_banned'][1] = $SE_NAME;
$LNG['se_search_banned'][2] = "Fecha de suspensión";
$LNG['se_search_banned'][3] = "Fecha de reactivación";
$LNG['se_search_banned'][4] = "Razón";
$LNG['se_search_banned'][5] = "Autor";

// BÚSQUEDA EN TABLA DE LA ALIANZA
$LNG['se_search_alliance'][0] = $SE_ID;
$LNG['se_search_alliance'][1] = $SE_NAME;
$LNG['se_search_alliance'][2] = "TAG";
$LNG['se_search_alliance'][3] = "Lider";
$LNG['se_search_alliance'][4] = "Fecha de creación";
$LNG['se_search_alliance'][5] = "Cantidad de miembros";
//###########################################################//

//---------------	CREADOR - MAKER	------------------------//
$LNG['new_creator_title'] = 'Creador';
$LNG['new_creator_title_u'] = 'Crear/Borrar de usuarios';
$LNG['new_creator_title_p'] = 'Crear/Borrar planetas';
$LNG['new_creator_title_l'] = 'Crear/Borrar lunas';
$LNG['new_creator_coor'] = 'Coordenadas';
$LNG['new_creator_go_back'] = '[ Volver al menú ]';
$LNG['new_creator_refresh'] = '[ Recargar ]';

//	CREADOR DE USUARIOS - USERS MAKER
$LNG['new_title'] = 'Crear nuevo usuario';
$LNG['new_only_numbers'] = '¡Las coordenadas solo deben tener números!';
$LNG['new_error_coord'] = '¡Coordenadas erroreas o desconocidas!';
$LNG['new_complete_all'] = '¡Ingresa todos los datos!';
$LNG['new_error_name'] = '¡El nombre de usuario ya esta en uso!';
$LNG['new_error_email'] = '¡El correo electronico ya esta en uso!';
$LNG['new_error_email2'] = '¡El correo electrónico no es válido!';
$LNG['new_error_passw'] = '¡La contraseña debe tener al menos 4 letras o digitos!';
$LNG['new_error_galaxy'] = '¡Las coordenadas especificadas ya estan siendo utilizadas!';
$LNG['new_user_success'] = 'Usuario creado con éxito';
$LNG['new_add_user'] = 'Crear usuario';
$LNG['new_range'] = 'Rango';
$LNG['new_coord'] = 'Coordenadas';
$LNG['new_email'] = 'Correo electrónico';
$LNG['new_pass'] = 'Contraseña';
$LNG['new_name'] = 'Nombre';

//	CREADOR DE PLANETAS - PLANETS MAKER
$LNG['po_galaxy'] = 'Galaxia';
$LNG['po_system'] = 'Sistema solar';
$LNG['po_planet'] = 'Planeta';
$LNG['po_colony'] = 'Colonia';
$LNG['po_fields_max'] = 'Campos';
$LNG['po_coor_1'] = 'Coordenadas';
$LNG['po_add_planet'] = 'Añadir planeta';
$LNG['po_delete_planet'] = 'Borrar planeta';
$LNG['po_name_planet'] = 'Nombre del planeta';
$LNG['po_complete_all'] = '¡Datos invalidos o coordenadas ya ocupadas!';
$LNG['po_complete_all2'] = '¡Coordenadas erroneas!';
$LNG['po_complete_succes'] = '¡Planeta creado con éxito! | <a href="AccountEditorPage.php">Editar Planeta</a>';
$LNG['po_complete_invalid'] = '¡Datos inválidos!';
$LNG['po_complete_invalid2'] = '¡Planeta inexistente!';
$LNG['po_complete_invalid3'] = '¡Solo se pueden borrar planetas!';
$LNG['po_complete_succes2'] = '¡Planeta borrado con éxito!';

//	CREADOR DE LUNAS - MOON MAKER
$LNG['mo_moon_added'] = 'Luna agregada con éxito.';
$LNG['mo_moon_deleted'] = 'Luna eliminada con éxito.';
$LNG['mo_moon_doesnt_exist'] = '¡La luna no existe!';
$LNG['mo_moon_only'] = '¡Solo podes borrar lunas!';
$LNG['mo_moon_unavaible'] = '¡El planeta ya tiene luna!';
$LNG['mo_planet_doesnt_exist'] = '¡El planeta no existe!';
$LNG['mo_moon_name'] = 'Nombre de la luna';
$LNG['mo_moon'] = 'Luna';
$LNG['mo_diameter'] = 'Diámetro';
$LNG['mo_temperature'] = 'Temperatura';
$LNG['mo_fields_avaibles'] = 'Campos disponibles';
$LNG['po_add_moon'] = 'Añadir luna';
$LNG['po_delete_moon'] = 'Borrar luna';
//###########################################################//

// Support

$LNG['sp_admin_answer'] = '%s (Admin) ha escrito en %s<br><br><font color="red">%s</font>';
$LNG['sp_answer_message_title'] = 'Ticket soporte #%d';
$LNG['sp_answer_message'] = 'En su Ticket #%d ha recibido una respuesta.';
$LNG['sp_admin_closed'] = '%s (Admin) tiene el ticket %s cerrado.';
$LNG['sp_admin_open'] = '%s (Admin) tiene el ticket %s abierto.';

// QuickEditor

$LNG['qe_send'] = 'Enviar';
$LNG['qe_reset'] = 'Resetear';
$LNG['qe_build'] = 'Edificios';
$LNG['qe_tech'] = 'Tecnología';
$LNG['qe_officier'] = 'Oficiales';
$LNG['qe_fleet'] = 'Flota';
$LNG['qe_defensive'] = 'Defensa';
$LNG['qe_resources'] = 'Recursos';
$LNG['qe_id'] = 'ID';
$LNG['qe_name'] = 'Nombre';
$LNG['qe_level'] = 'Nivel';
$LNG['qe_count'] = 'Disponible';
$LNG['qe_input'] = 'Entrada';
$LNG['qe_edit_planet_sucess'] = 'Planeta %s [%d:%d:%d] editado correctamente.';
$LNG['qe_edit_player_sucess'] = 'Usuario %s (ID: %d) editado correctamente.';
$LNG['qe_info'] = 'Información';
$LNG['qe_owner'] = 'Propietario';
$LNG['qe_fields'] = 'Campos';
$LNG['qe_password'] = 'Contraseña';
$LNG['qe_coords'] = 'Coordenadas';
$LNG['qe_hpcoords'] = 'HP-Coordenadas';
$LNG['qe_temp'] = 'Temperatura';
$LNG['qe_change'] = 'Cambiar';
$LNG['qe_authattack'] = 'Protección de Ataques Administrador';

//----------------------------------------------------------------------------//
//TeamSpeakSettingPage.php
$LNG['ts_settings'] = 'Opciones Teamspeak';
$LNG['ts_active'] = 'Activar Teamspeak';
$LNG['ts_version'] = 'Versión de Servidor:';
$LNG['ts_udpport'] = 'Puerto TCP';
$LNG['ts_tcpport'] = 'Puerto UDP';
$LNG['ts_serverip'] = 'Server-IP';
$LNG['ts_timeout'] = 'Tiempo de Espera';
$LNG['ts_server_query'] = 'Puerto';
$LNG['ts_login'] = 'Usuario';
$LNG['ts_pass'] = 'Contraseña';
$LNG['ts_cron'] = 'Frecuencia de Actualización';

//----------------------------------------------------------------------------//
//FacebookSettingPage.php
$LNG['fb_settings'] = 'Opciones de Facebook';
$LNG['fb_active'] = 'Activar la conección con Facebook';
$LNG['fb_api_key'] = 'Facebook API Key';
$LNG['fb_secrectkey'] = 'Facebook Secret Key';
$LNG['fb_info'] = 'Con Facebook Connect los usuarios que están conectados a Facebook, pueden iniciar sesión con un click, o registrarse. <br>  Para utilizar esta característica, debes estar registrado en Faceebok. Además, debes crear una aplicación. Esto se puede hacer en <a href="http://www.facebook.com/developers/"> http://www.facebook.com/developers/ </ a>. Como URL de conexión, debes introducir la dirección URL del juego. A continuación, de introducir aquí las claves y el juego debería estar listo Facebook. <br> <font Color="red"> de FB Connect, la entrega de correo estará disponible (SMTP settings).</font>';
$LNG['fb_curl_yes'] = '<span style="color:green">cURL Instalado.</span>';
$LNG['fb_curl_no'] = '<span style="color:red">cURL No Instalado. ¡Facebook necesita las extensiones cURL para funcionar!</span>';

//----------------------------------------------------------------------------//
//GameModule.php

$LNG['modul'][0] = 'Alianza';
$LNG['modul'][39] = 'Simulador de Batalla';
$LNG['modul'][2] = 'Construcción - Edificios';
$LNG['modul'][3] = 'Edificios - Investigaciones';
$LNG['modul'][4] = 'Construcción - Flotas';
$LNG['modul'][5] = 'Edificios - Defensa';
$LNG['modul'][6] = 'Lista de amigos';
$LNG['modul'][7] = 'Chat';
$LNG['modul'][8] = 'DM-Bank';
$LNG['modul'][9] = 'Flota';
$LNG['modul'][10] = 'Flota - Mercader';
$LNG['modul'][40] = 'Atajos de Flota';
$LNG['modul'][11] = 'Galaxia';
$LNG['modul'][12] = 'Salon de la Fama';
$LNG['modul'][13] = 'Mercader';
$LNG['modul'][14] = 'Info';
$LNG['modul'][15] = 'Imperio';
$LNG['modul'][32] = 'Mision - Reciclar';
$LNG['modul'][1] = 'Mision - Atacar';
$LNG['modul'][31] = 'Mision - DM-Mision';
$LNG['modul'][30] = 'Mision - Expedición';
$LNG['modul'][33] = 'Mision - Mantener Posición';
$LNG['modul'][35] = 'Mision - Colonizar';
$LNG['modul'][24] = 'Mision - Espiar';
$LNG['modul'][36] = 'Mision - Despleguar';
$LNG['modul'][34] = 'Mision - Transportar';
$LNG['modul'][29] = 'Mision - Destruir';
$LNG['modul'][16] = 'Noticias';
$LNG['modul'][17] = 'Notas';
$LNG['modul'][18] = 'Oficiales';
$LNG['modul'][19] = 'Phalanx';
$LNG['modul'][20] = 'Player Card';
$LNG['modul'][21] = 'Baneo';
$LNG['modul'][22] = 'Records';
$LNG['modul'][23] = 'Recursos';
$LNG['modul'][38] = 'Chatarrero';
$LNG['modul'][25] = 'Estadísticas';
$LNG['modul'][37] = 'Estadísticas Banner';
$LNG['modul'][26] = 'Buscar';
$LNG['modul'][27] = 'Tickets de Soporte';
$LNG['modul'][28] = 'Tecnología';

$LNG['mod_module'] = 'Modulos';
$LNG['mod_info'] = 'Módulos en el Juego<br><font color="red">¡Los administradores pueden entrar en las zonas!</font>';
$LNG['mod_active'] = 'Activado';
$LNG['mod_deactive'] = 'Desactivado';
$LNG['mod_change_active'] = 'Activar';
$LNG['mod_change_deactive'] = 'Desactivar';

//News

$LNG['nws_news'] = 'Noticias';
$LNG['nws_head_create'] = 'Crear Noticia';
$LNG['nws_head_edit'] = 'Editar noticia %s';
$LNG['nws_id'] = 'ID';
$LNG['nws_title'] = 'Título';
$LNG['nws_date'] = 'Fecha';
$LNG['nws_from'] = 'De';
$LNG['nws_del'] = 'Del';
$LNG['nws_confirm'] = 'Estás seguro de que el mensaje %s sea eliminado?';
$LNG['nws_create'] = 'Crear Noticias';
$LNG['nws_total'] = 'Total %d noticias disponibles';
$LNG['nws_content'] = 'Contenido';

//Mod Versions Control

$LNG['mvc_title'] = 'Título';
$LNG['mvc_author'] = 'Autor';
$LNG['mvc_version'] = 'Versión';
$LNG['mvc_link'] = 'Enlace';
$LNG['mvc_update_yes'] = '¡Una actualización está disponible!';
$LNG['mvc_update_no'] = '¡La última versión ya está instalada!';
$LNG['mvc_update_version'] = 'última Versión';
$LNG['mvc_update_date'] = 'Lanzada';
$LNG['mvc_announcement'] = 'Anuncio';
$LNG['mvc_download'] = 'Descarga';
$LNG['mvc_desc'] = 'Descripción';

//Universe Page
$LNG['uvs_id'] = 'ID';
$LNG['uvs_name'] = 'Nombre';
$LNG['uvs_speeds'] = 'Velocidades';
$LNG['uvs_players'] = 'Jugadores';
$LNG['uvs_open'] = 'Abierto';
$LNG['uvs_export'] = 'Exportar';
$LNG['uvs_delete'] = 'Eliminar';
$LNG['uvs_on'] = 'On';
$LNG['uvs_off'] = 'Off';
$LNG['uvs_new'] = 'Crear Universo';
$LNG['uvs_import'] = 'Importar Universo (Archivo .sql)';
$LNG['uvs_upload'] = 'Subir';
$LNG['uvs_error'] = 'ERROR: Fichero de Importación Inválido.';

//Update Page
$LNG['up_weiter'] = 'Actualización';
$LNG['up_kein_update'] = 'No exiten actualizaciones!';
$LNG['up_ok_update'] = 'OK! - Actualizado';
$LNG['up_error_update'] = 'ERROR! - No se pudieron subir los archivos';
$LNG['up_delete_file'] = 'Eliminados correctamente';
$LNG['up_error_delete_file'] = 'ERROR! - No se puede eliminar archivo';
$LNG['up_update_ok_rev'] = 'ACTUALIZACION: OK! Revisión: ';
$LNG['up_error_fsockopen'] = 'Función file_get_contents o fsockopen desactivada';
$LNG['up_download_patch_files'] = 'Descargar fichero Patch';
$LNG['up_aktuelle_updates'] = 'Actualizaciones actuales';
$LNG['up_momentane_version'] = 'Versión momentanea';
$LNG['up_alte_updates'] = 'Actualizaciones antiguas';
$LNG['up_revision'] = 'Revisión ';
$LNG['up_add'] = 'Añadir:';
$LNG['up_edit'] = 'Editar:';
$LNG['up_del'] = 'Eliminar';
$LNG['up_submit'] = 'Enviar';
$LNG['up_version'] = 'Versión';
$LNG['up_chmod_error'] = "No se poseen permisos de escritura en este directorio:\n\n%s";
$LNG['up_need_curl'] = 'Error: cURL no está disponible.<br />El Sistema de Actualizaciones de 2Moons requiere cURL para poder descargar los archivos actualizados.';

//Chat Page
$LNG['ch_socket_chatid_info'] = 'Esta ID puede ser usada para distinguir diferentes instalaciones de chat utilizando el mismo socket del servidor';
$LNG['ch_socket_port_info'] = 'Define el puerto del servidor socket';
$LNG['ch_socket_ip_info'] = 'Define el  IP del servidor socket usado para conectar desde el lado del servidor hacia los mensajes de actualización';
$LNG['ch_socket_host_info'] = 'Define el nombre del host del servidor socket usado para conectar desde el lado del cliente(Si es seteado vacio se usa el nombre del servidor)';
$LNG['ch_socket_chatid'] = 'Socket ChatID';
$LNG['ch_socket_port'] = 'Puerto Socket';
$LNG['ch_socket_ip'] = 'IP Socket';
$LNG['ch_socket_host'] = 'Nombre del Host Socket';
$LNG['ch_socket_active'] = '¿Socket activo?';
$LNG['ch_socket'] = 'Configuración del servidor Socket';
$LNG['ch_closed'] = '¿Chat cerrado?';
$LNG['ch_allowchan'] = 'Permitir canales Privados';
$LNG['ch_allowmes'] = 'Permitir Mensajes Privados';
$LNG['ch_allowcelmes'] = 'Permitir Borrar Mensajes Propios';
$LNG['ch_logmessage'] = 'Activar Registro de Mensajes';
$LNG['ch_nickchange'] = 'Permitir cambio de Nick';
$LNG['ch_botname'] = 'Nombre del Bot';
$LNG['ch_channelname'] = 'Nombre del Canal Estandart';

//Active Page
$LNG['ap_id'] = 'ID';
$LNG['ap_username'] = 'Nombre de usuario';
$LNG['ap_datum'] = 'Fecha';
$LNG['ap_email'] = 'E-Mail';
$LNG['ap_ip'] = 'IP';
$LNG['ap_aktivieren'] = 'Activar';
$LNG['ap_del'] = 'Del';
$LNG['ap_sicher'] = 'Tú eres fiable que ';
$LNG['ap_entfernen'] = ' para eliminar lo que quieres?';
$LNG['ap_insgesamt'] = 'Completo ';
$LNG['ap_nicht_aktivierte'] = ' usuario no tiene disponible la activación.';
$LNG['ap_nicht_aktivierte_user'] = 'El usuario no activo';

//MultiIPPage
$LNG['mip_ip'] = 'IP';
$LNG['mip_user'] = 'Usuario';

//Admin Log
$LNG['log_log'] = 'Log';
$LNG['log_menu'] = 'Visualización de registros';
$LNG['log_admin'] = 'Administrador';
$LNG['log_time'] = 'Tiempo';
$LNG['log_target_user'] = 'Cambiar Jugadores';
$LNG['log_target_planet'] = 'Cambiar Planetas';
$LNG['log_target_universe'] = 'Cambiar Universos';
$LNG['log_id'] = 'ID';
$LNG['log_view'] = 'Ver';
$LNG['log_info'] = 'Informaciónn';
$LNG['log_element'] = 'Elemento';
$LNG['log_old'] = 'Antes';
$LNG['log_new'] = 'Despues';
$LNG['log_player'] = 'Jugador Editado';
$LNG['log_planet'] = 'Planeta Editado';
$LNG['log_settings'] = 'Opciones Editadas';
$LNG['log_cat'] = 'Elegir una Categoría a Registrar:';
$LNG['log_no_data'] = 'No existen datos en el registro!';
$LNG['log_ssettings'] = 'Configuración del Juego';
$LNG['log_usettings'] = 'Configuración del universo';
$LNG['log_statsettings'] = 'Opciones de Estadísticas';
$LNG['log_chatsettings'] = 'Opciones del Chato';
$LNG['log_tssettings'] = 'Configuración Teamspeak';
$LNG['log_uni_short'] = 'Uni';
$LNG['log_universe'] = 'Universo';

// Translated into Spanish by Scofield06 . All rights reversed (C) 2011
?>