<?php

/**
 *  2Moons
 *  Copyright (C) 2011  Slaver
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @package 2Moons
 * @author Slaver <slaver7@gmail.com>
 * @copyright 2009 Lucky <lucky@xgproyect.net> (XGProyecto)
 * @copyright 2011 Slaver <slaver7@gmail.com> (Fork/2Moons)
 * @license http://www.gnu.org/licenses/gpl.html GNU GPLv3 License
 * @version 1.6.1 (2011-11-19)
 * @info $Id: INSTALL.php 2072 2011-11-17 13:21:40Z slaver7 $
 * @link http://code.google.com/p/2moons/
 */

$LNG['continue'] = 'Continuar';

$LNG['menu_intro'] = 'Intro';
$LNG['menu_install'] = 'Instalar';
$LNG['menu_license'] = 'Licencia';

$LNG['title_install'] = 'Instalador';

$LNG['intro_lang'] = 'Idioma';
$LNG['intro_instal'] = 'Instalación';
$LNG['intro_welcome'] = 'Bienvenido a 2Moons!';
$LNG['intro_text'] = '2Moons es uno de los mejores clones de OGame. <br> 2Moons es la última y más estable versión de un servidor basado en Xnova que ah sido desarrollada. Los puntos clave de 2Moons son su facilidad, estabilidad, flexibilidad, dinamismo y calidad. En 2Moons siempre esperamos a ser más que sus expectativas. <br> El sistema de instalación le guiará a través de la instalación o la actualización de una versión previa a la última. <br>  Si tiene preguntas o problemas, por favor, no dude en comunicarse en nuestro foro de desarrollo y soporte. <br> 2Moons es un proyecto de código abierto y está bajo licencia GNU GPL v3. Para conocer la licencia, por favor haga click en la opción del menú correspondiente. <br> Antes de comenzar la instalación se lleva a cabo una prueba para saber si el servidor cumple los requisitos mínimos.';

$LNG['reg_yes'] = 'Sí';
$LNG['reg_no'] = 'No';
$LNG['reg_found'] = 'Encontrado';
$LNG['reg_not_found'] = 'No encontrado';
$LNG['reg_writable'] = 'Escritura';
$LNG['reg_not_writable'] = 'No escribible';
$LNG['reg_file'] = 'Archivo';
$LNG['reg_dir'] = 'Carpeta';
$LNG['reg_gd_need'] = '¿GB-Lib disponible?';
$LNG['reg_mysqli_active'] = '¿MySQLi disponible?';
$LNG['reg_json_need'] = '¿JSON disponible?';
$LNG['reg_bcmath_need'] = '¿BCMath disponible?';
$LNG['reg_iniset_need'] = '¿ini_set() disponible?';
$LNG['reg_global_need'] = '¿register_globals desactivadas?';
$LNG['req_php_need'] = 'Versión PHP (min. 5.2.5)';
$LNG['req_ftp'] = 'FTP';
$LNG['req_ftp_info'] = 'Introduzca los datos de FTP, para solucionar problemas';
$LNG['req_ftp_host'] = 'Host FTP';
$LNG['req_ftp_username'] = 'Usuario';
$LNG['req_ftp_password'] = 'Contraseña';
$LNG['req_ftp_dir'] = 'Directorio de 2Moons';
$LNG['req_ftp_send'] = 'Enviar';
$LNG['req_ftp_pass_info'] = '¡Su contraseña no será guardada!';

$LNG['step1_mysql_server'] = 'Servidor MySQL: <br>Estandart: localhost';
$LNG['step1_mysql_port'] = 'Puerto del Servidor MySQL: <br>Estandart: 3306';
$LNG['step1_mysql_dbname'] = 'Nombre BD MySQL: <br> Ej.: Game';
$LNG['step1_mysql_dbuser'] = 'Usuario MySQL: <br> Ej.: root';
$LNG['step1_mysql_dbpass'] = 'Contraseña MySQL: <br> Ej.: 12345';
$LNG['step1_mysql_prefix'] = 'Prefijo Tablas BD MySQL: <br> Ej.: uni1_';

$LNG['step2_db_connet_ok'] = 'Conexi&oacute;n establecida satisfactoriamente con la Base de datos...';
$LNG['step2_db_create_ok'] = 'Tablas creadas satisfactoriamente...';
$LNG['step2_db_error'] = "Error al crear la tabla de base de datos(s): \n%s";
$LNG['step2_db_con_fail'] = "No hay conexi&oacute;n con la base de datos.<br> %s";
$LNG['step2_conf_op_fail'] = "¡config.php no esta en modo escritura (CHMOD 777)!";
$LNG['step2_conf_create'] = "config.php creado satisfactoriamente...";
$LNG['step2_prefix_invalid'] = 'El prefijo DB debe contener sólo caracteres alfanuméricos y guiones.';

$LNG['step3_create_admin'] = "Creaci&oacute;n de cuenta de administrador";
$LNG['step3_admin_name'] = "Usuario:";
$LNG['step3_admin_pass'] = "Contrase&ntilde;a:";
$LNG['step3_admin_mail'] = "Correo electrónico:";

$LNG['step4_need_fields'] = "Usted tiene que llenar todos los campos!";

$LNG['sql_universe'] = 'Universo';
$LNG['sql_close_reason'] = 'El juego está actualmente cerrado';
$LNG['sql_welcome'] = 'Bienvenido a ';

// Translated into Spanish by Scofield06 . All rights reversed (C) 2011
?>